Index: trunk/BNC/src/PPP/pppClient.cpp
===================================================================
--- trunk/BNC/src/PPP/pppClient.cpp	(revision 7267)
+++ trunk/BNC/src/PPP/pppClient.cpp	(revision 7271)
@@ -11,5 +11,5 @@
  * Created:    29-Jul-2014
  *
- * Changes:    
+ * Changes:
  *
  * -----------------------------------------------------------------------*/
@@ -81,5 +81,5 @@
 }
 
-// 
+//
 //////////////////////////////////////////////////////////////////////////////
 void t_pppClient::putEphemeris(const t_eph* eph) {
@@ -87,4 +87,5 @@
   const t_ephGlo* ephGlo = dynamic_cast<const t_ephGlo*>(eph);
   const t_ephGal* ephGal = dynamic_cast<const t_ephGal*>(eph);
+  const t_ephBDS* ephBDS = dynamic_cast<const t_ephBDS*>(eph);
   if      (ephGPS) {
     _ephPool->putEphemeris(new t_ephGPS(*ephGPS));
@@ -96,4 +97,7 @@
     _ephPool->putEphemeris(new t_ephGal(*ephGal));
   }
+  else if (ephBDS) {
+    _ephPool->putEphemeris(new t_ephBDS(*ephBDS));
+  }
 }
 
@@ -104,5 +108,5 @@
 }
 
-// 
+//
 //////////////////////////////////////////////////////////////////////////////
 void t_pppClient::putOrbCorrections(const vector<t_orbCorr*>& corr) {
@@ -112,5 +116,5 @@
 }
 
-// 
+//
 //////////////////////////////////////////////////////////////////////////////
 void t_pppClient::putClkCorrections(const vector<t_clkCorr*>& corr) {
@@ -120,5 +124,5 @@
 }
 
-// 
+//
 //////////////////////////////////////////////////////////////////////////////
 void t_pppClient::putCodeBiases(const vector<t_satCodeBias*>& biases) {
@@ -132,5 +136,5 @@
 t_irc t_pppClient::prepareObs(const vector<t_satObs*>& satObs,
                               vector<t_pppSatObs*>& obsVector, bncTime& epoTime) {
-  // Default 
+  // Default
   // -------
   epoTime.reset();
@@ -179,5 +183,5 @@
 // Compute the Bancroft position, check for blunders
 //////////////////////////////////////////////////////////////////////////////
-t_irc t_pppClient::cmpBancroft(const bncTime& epoTime, 
+t_irc t_pppClient::cmpBancroft(const bncTime& epoTime,
                                   vector<t_pppSatObs*>& obsVector,
                                   ColumnVector& xyzc, bool print) {
@@ -195,5 +199,5 @@
         }
         if ( satObs->isValid(tLC) && (!satObs->modelSet() || satObs->eleSat() >= OPT->_minEle) ) {
-          ++iObs;   
+          ++iObs;
           BB[iObs][0] = satObs->xc()[0];
           BB[iObs][1] = satObs->xc()[1];
@@ -222,5 +226,5 @@
            (!satObs->modelSet() || satObs->eleSat() >= OPT->_minEle) ) {
         ColumnVector rr = satObs->xc().Rows(1,3) - xyzc.Rows(1,3);
-        double res = rr.norm_Frobenius() - satObs->obsValue(tLC) 
+        double res = rr.norm_Frobenius() - satObs->obsValue(tLC)
           - (satObs->xc()[3] - xyzc[3]) * t_CST::c;
         if (fabs(res) > maxRes) {
@@ -307,5 +311,5 @@
 }
 
-// 
+//
 //////////////////////////////////////////////////////////////////////////////
 void t_pppClient::initOutput(t_output* output) {
@@ -316,5 +320,5 @@
 }
 
-// 
+//
 //////////////////////////////////////////////////////////////////////////////
 void t_pppClient::clearObs() {
@@ -325,5 +329,5 @@
 }
 
-// 
+//
 //////////////////////////////////////////////////////////////////////////////
 void t_pppClient::finish(t_irc irc) {
@@ -357,5 +361,5 @@
 }
 
-// 
+//
 //////////////////////////////////////////////////////////////////////////////
 t_irc t_pppClient::cmpModel(t_pppStation* station, const ColumnVector& xyzc,
@@ -381,5 +385,5 @@
   // -----
   station->setTideDspl( _tides->displacement(time, station->xyzApr()) );
-  
+
   // Ionosphere
   // ----------
@@ -409,5 +413,5 @@
 }
 
-// 
+//
 //////////////////////////////////////////////////////////////////////////////
 void t_pppClient::processEpoch(const vector<t_satObs*>& satObs, t_output* output) {
@@ -417,5 +421,5 @@
 
     // Prepare Observations of the Rover
-    // ---------------------------------    
+    // ---------------------------------
     if (prepareObs(satObs, _obsRover, _epoTimeRover) != success) {
       return finish(failure);
@@ -425,5 +429,5 @@
     if (!_epoTimeRover.undef()) LOG << string(_epoTimeRover);
     LOG << "\n--------------------------------------\n";
- 
+
     for (int iter = 1; iter <= 2; iter++) {
       ColumnVector xyzc(4); xyzc = 0.0;
@@ -440,5 +444,5 @@
 
     // Store last epoch of data
-    // ------------------------    
+    // ------------------------
     _obsPool->putEpoch(_epoTimeRover, _obsRover);
 
@@ -469,5 +473,5 @@
 }
 
-// 
+//
 ////////////////////////////////////////////////////////////////////////////
 double lorentz(const ColumnVector& aa, const ColumnVector& bb) {
@@ -475,5 +479,5 @@
 }
 
-// 
+//
 ////////////////////////////////////////////////////////////////////////////
 void t_pppClient::bancroft(const Matrix& BBpass, ColumnVector& pos) {
@@ -493,6 +497,6 @@
       if (iter > 1) {
         double zz  = BB(ii,3);
-        double rho = sqrt( (xx-pos(1)) * (xx-pos(1)) + 
-                           (yy-pos(2)) * (yy-pos(2)) + 
+        double rho = sqrt( (xx-pos(1)) * (xx-pos(1)) +
+                           (yy-pos(2)) * (yy-pos(2)) +
                            (zz-pos(3)) * (zz-pos(3)) );
         traveltime = rho / t_CST::c;
@@ -504,5 +508,5 @@
       BB(ii,2) = -sina * xx + cosa * yy;
     }
-    
+
     Matrix BBB;
     if (mm > 4) {
@@ -516,5 +520,5 @@
     ColumnVector alpha(mm); alpha = 0.0;
     for (int ii = 1; ii <= mm; ii++) {
-      alpha(ii) = lorentz(BB.Row(ii).t(),BB.Row(ii).t())/2.0; 
+      alpha(ii) = lorentz(BB.Row(ii).t(),BB.Row(ii).t())/2.0;
     }
     ColumnVector BBBe     = BBB * ee;
@@ -525,5 +529,5 @@
     double root = sqrt(bb*bb-aa*cc);
 
-    Matrix hlpPos(4,2); 
+    Matrix hlpPos(4,2);
     hlpPos.Column(1) = (-bb-root)/aa * BBBe + BBBalpha;
     hlpPos.Column(2) = (-bb+root)/aa * BBBe + BBBalpha;
@@ -532,8 +536,8 @@
     for (int pp = 1; pp <= 2; pp++) {
       hlpPos(4,pp)      = -hlpPos(4,pp);
-      omc(pp) = BB(1,4) - 
+      omc(pp) = BB(1,4) -
                 sqrt( (BB(1,1)-hlpPos(1,pp)) * (BB(1,1)-hlpPos(1,pp)) +
                       (BB(1,2)-hlpPos(2,pp)) * (BB(1,2)-hlpPos(2,pp)) +
-                      (BB(1,3)-hlpPos(3,pp)) * (BB(1,3)-hlpPos(3,pp)) ) - 
+                      (BB(1,3)-hlpPos(3,pp)) * (BB(1,3)-hlpPos(3,pp)) ) -
                 hlpPos(4,pp);
     }