Index: trunk/BNC/src/bncmain.cpp
===================================================================
--- trunk/BNC/src/bncmain.cpp	(revision 7268)
+++ trunk/BNC/src/bncmain.cpp	(revision 7273)
@@ -75,10 +75,207 @@
   QString    confFileName;
 
-  QByteArray printHelp = "Usage: bnc --nw                       \n"
-                         "           --version                  \n"
-                         "           --display <XXX>            \n"
-                         "           --conf <confFileName>      \n"
-                         "           --file <rawFileName>       \n"
-                         "           --key  <keyName> <keyValue>\n";
+  QByteArray printHelp = 
+      "Usage: bnc --nw                       \n"
+      "           --version                  \n"
+      "           --display <XXX>            \n"
+      "           --conf <confFileName>      \n"
+      "           --file <rawFileName>       \n"
+      "           --key  <keyName> <keyValue>\n"
+      "\n"
+      "Internal keys:\n"
+      "           --startTab      <Top panel index number>\n"
+      "           --statusTab     <Bottom panel index number>\n"
+      "           --font          <Used font>\n"
+      "           --casterUrlList <Visited URLs>\n"
+      "\n"
+      "Network Panel keys:\n"
+      "           --proxyHost       <Proxy host>\n"
+      "           --proxyPort       <Proxy port>\n"
+      "           --sslCaCertPath   <Path to SSL certificates>\n"
+      "           --ignoreSslErrors <Ignore ssl authorization errors>\n"
+      "\n"
+      "General Panel keys:\n"
+      "           --logFile          <Logfile (full path)>\n"
+      "           --rnxAppend        <Append files>\n"
+      "           --onTheFlyInterval <Reread configuration>\n"
+      "           --autoStart        <Auto start>\n"
+      "           --rawOutFile       <Raw output file (full path)>\n"
+      "\n"
+      "RINEX Observations Panel keys:\n"
+      "           --rnxPath        <Directory>\n"
+      "           --rnxIntr        <Interval>\n"
+      "           --rnxSample      <Sampling> \n"
+      "           --rnxSkel        <Skeleton extension>\n"
+      "           --rnxOnlyWithSKL <Skeleton is mandatory>\n"
+      "           --rnxScript      <Upload script>\n"
+      "           --rnxV2Priority  <Signal priority>\n"
+      "           --rnxV3          <Version 3>\n"
+      "           --rnxV3filenames <Version 3 filenames>\n"
+      "\n"
+      "RINEX Ephemeris Panel keys:\n"
+      "           --ephPath         <Directory>\n"
+      "           --ephIntr         <Interval>\n"
+      "           --outEphPort      <Port>\n"
+      "           --ephV3           <Version 3>\n"
+      "           --ephV3filenames  <Version 3 filenames>\n"
+      "\n"
+      "RINEX Editing and QC Panel keys:\n"
+      "           --reqcAction            <Action>\n"
+      "           --reqcObsFile           <Input observations file>\n"
+      "           --reqcNavFile           <Input navigation file>\n"
+      "           --reqcOutObsFile        <Output observations file>\n"
+      "           --reqcOutNavFile        <Output navigation file>\n"
+      "           --reqcOutLogFile        <Output logfile>\n"
+      "           --reqcLogSummaryOnly    <Summary output logfile>\n"
+      "           --reqcSkyPlotSignals    <Plots for signals>\n"
+      "           --reqcPlotDir           <QC plots directory>\n"
+      "           --reqcRnxVersion        <RINEX version>\n"
+      "           --reqcSampling          <RINEX sampling>\n"
+      "           --reqcV2Priority        <Version 2 signal priority>\n"
+      "           --reqcStartDateTime     <Start time>\n"
+      "           --reqcEndDateTime       <Stop time>\n"
+      "           --reqcRunBy             <Operators name>\n"
+      "           --reqcUseObsTypes       <Use observation types>\n"
+      "           --reqcComment           <Additional comments>\n"
+      "           --reqcOldMarkerName     <Old marker name>\n"
+      "           --reqcNewMarkerName     <New marker name>\n"
+      "           --reqcOldAntennaName    <Old antenna name>\n"
+      "           --reqcNewAntennaName    <New antenna name>\n"
+      "           --reqcOldAntennaNumber  <Old antenna number>\n"
+      "           --reqcNewAntennaNumber  <New antenna number>\n"
+      "           --reqcOldAntennadN      <Old north eccentritity>\n"
+      "           --reqcNewAntennadN      <New north eccentricity>\n"
+      "           --reqcOldAntennadE      <Old east eccentricity>\n"
+      "           --reqcNewAntennadE      <New east eccentricity>\n"
+      "           --reqcOldAntennadU      <Old up eccentritity>\n"
+      "           --reqcNewAntennadU      <New up eccentricity>\n"
+      "           --reqcOldReceiverName   <Old receiver name>\n"
+      "           --reqcNewReceiverName   <New receiver name>\n"
+      "           --reqcOldReceiverNumber <Old receiver number>\n"
+      "           --reqcNewReceiverNumber <New receiver number>\n"
+      "\n"
+      "SP3 Comparison Panel keys:\n"
+      "           --sp3CompFile       <SP3 input files>\n"
+      "           --sp3CompExclude    <Satellite exclusion list>\n"
+      "           --sp3CompOutLogFile <Output logfile>\n"
+      "\n"
+      "Broadcast Corrections Panel keys:\n"
+      "           --corrPath <Directory, ASCII>\n"
+      "           --corrIntr <Interval>\n"
+      "           --corrPort <Port>\n"
+      "\n"
+      "Feed Engine Panel keys:\n"
+      "           --outPort  <Port>\n"
+      "           --waitTime <Wait for full obs epoch>\n"
+      "           --binSampl <Sampling>\n"
+      "           --outFile  <File (full path)>\n"
+      "           --outUPort <Port (unsynchronized)>\n"
+      "\n"
+      "Serial Output Panel:\n"
+      "           --serialMountPoint    <Mountpoint>\n"
+      "           --serialPortName      <Port name>\n"
+      "           --serialBaudRate      <Baud rate>\n"
+      "           --serialFlowControl   <Flow control>\n"
+      "           --serialDataBits      <Data bits>\n"
+      "           --serialParity        <Parity>\n"
+      "           --serialStopBits      <Stop bits>\n"
+      "           --serialAutoNMEA      <NMEA>\n"
+      "           --serialFileNMEA      <NMEA filename>\n"
+      "           --serialHeightNMEA    <Height>\n"
+      "\n"
+      "Outages Panel keys:\n"
+      "           --obsRate      <Observation rate> \n"
+      "           --adviseFail   <Failure threshold>\n"
+      "           --adviseReco   <Recovery threshold>\n"
+      "           --adviseScript <Script (full path)>\n"
+      "\n"
+      "Miscellaneous Panel keys:\n"
+      "           --miscMount <Mountpoint>\n"
+      "           --perfIntr  <Log latency>\n"
+      "           --scanRTCM  <Scan RTCM>\n"
+      "           --miscPort  <Mountpoint>\n"
+      "\n"
+      "PPP Client Panel 1 keys:\n"
+      "           --dataSource  <Switch between real-time and post processing>\n"
+      "           --rinexObs    <RINEX observation file>\n"
+      "           --rinexNav    <RINEX navigation file>\n"
+      "           --corrMount   <Corrections mountpoint>\n"
+      "           --corrFile    <Corrections file>\n"
+      "           --crdFile     <Coordinates file>\n"
+      "           --logFilePPP  <PPP logfile>\n"
+      "           --antexFile   <ANTEX file>\n"
+      "           --nmeaFile    <NMEA output file>\n"
+      "           --snxtroFile  <SINEX troposphere output filename>\n"
+      "           --snxtroSampl <SINEX troposphere sampling rage>\n"
+      "\n"
+      "PPP Client Panel 2 keys:\n"
+      "           --staTable <Stations table>\n"
+      "\n"
+      "PPP Client Panel 3 keys:\n"
+      "           --lcGPS        <Linear combination from GPS code data>\n"
+      "           --lcGLONASS    <Linear combination from GLONASS code data>\n"
+      "           --lcGalileo    <Linear combination from Galileo code data>\n"
+      "           --lcBDS        <Linear combination from BDS code data>\n"
+      "           --sigmaC1      <Sigma for code observations>\n"
+      "           --sigmaL1      <Sigma for phase observations>\n"
+      "           --maxResC1     <Maximal residuum for code observations>\n"
+      "           --maxResL1     <Maximal residuum for phase observations>\n"
+      "           --eleWgtCode   <Elevation dependent waiting of code observations>\n"
+      "           --eleWgtPhase  <Elevation dependent waiting of phase observations>\n"
+      "           --minObs       <Minimum number of observations>\n"
+      "           --minEle       <Minimum elevation>\n"
+      "           --corrWaitTime <Wait for clock corrections>\n"
+      "           --seedingTime  <Seeding time span for Quick Start>\n"
+      "\n"
+      "PPP Client Panel 4 keys:\n"
+      "           --plotCoordinates  <Mountpoint for time series plot>\n"
+      "           --audioResponse    <Audio response>\n"
+      "           --useOpenStreetMap <OSM track map>\n"
+      "           --useGoogleMap     <Google track map>\n"
+      "           --mapWinDotSize    <Size of dots on map>\n"
+      "           --mapWinDotColor   <Color of dots and cross hair on map>\n"
+      "           --mapSpeedSlider   <Offline processing speed for mapping>\n"
+      "\n"
+      "Combine Corrections Panel keys:\n"
+      "           --combineStreams  <Table of correction streams\n"
+      "           --cmbMethodFilter <Approach\n"
+      "           --cmbMaxres       <Clock outlier threshold\n"
+      "           --cmbSampl        <Orbit and clock sampling\n"
+      "           --cmbUseGlonass   <Use GLONASS in combination\n"
+      "\n"
+      "Upload Corrections Panel keys:\n"
+      "           --uploadMountpointsOut   <Upload corrections table>\n"
+      "           --uploadIntr             <File interval>\n"
+      "           --uploadSamplRtcmEphCorr <Orbit sampling>\n"
+      "           --uploadSamplSp3         <Orbit sampling>\n"
+      "           --uploadSamplClkRnx      <Clock sampling>\n"
+      "\n"
+      "Custom Trafo keys:\n"
+      "           --trafo_dx  <Translation X>\n"
+      "           --trafo_dy  <Translation Y>\n"
+      "           --trafo_dz  <Translation Z>\n"
+      "           --trafo_dxr <Translation change X>\n"
+      "           --trafo_dyr <Translation change Y>\n"
+      "           --trafo_dzr <Translation change Z>\n"
+      "           --trafo_ox  <Rotation X>\n"
+      "           --trafo_oy  <Rotation Y>\n"
+      "           --trafo_oz  <Rotation Z>\n"
+      "           --trafo_oxr <Rotation change X>\n"
+      "           --trafo_oyr <Rotation change Y>\n"
+      "           --trafo_ozr <Rotation change Z>\n"
+      "           --trafo_sc  <Scale>\n"
+      "           --trafo_scr <Scale change>\n"
+      "           --trafo_t0  <Reference year>\n"
+      "\n"
+      "Upload Ephemeris Panel keys:\n"
+      "           --uploadEphHost       <Host>\n"
+      "           --uploadEphPort       <Port>\n"
+      "           --uploadEphMountpoint <Mountpoint>\n"
+      "           --uploadEphPassword   <Password>\n"
+      "           --uploadEphSample     <Sampling>\n"
+      "\n"
+      "Add Stream keys:\n"
+      "           --mountPoints  <Add stream coming from ...>\n"
+      "           --ntripVersion <Ntrip Version>\n";
 
   for (int ii = 1; ii < argc; ii++) {