Index: trunk/BNC/src/bncmain.cpp
===================================================================
--- trunk/BNC/src/bncmain.cpp	(revision 7275)
+++ trunk/BNC/src/bncmain.cpp	(revision 7276)
@@ -93,23 +93,23 @@
       "           --proxyPort       <Proxy port>\n"
       "           --sslCaCertPath   <Path to SSL certificates>\n"
-      "           --ignoreSslErrors <Ignore ssl authorization errors>\n"
+      "           --ignoreSslErrors <Ignore SSL authorization errors, 0=no, 2=yes\n"
       "\n"
       "General Panel keys:\n"
-      "           --logFile          <Logfile (full path)>\n"
-      "           --rnxAppend        <Append files>\n"
-      "           --onTheFlyInterval <Reread configuration>\n"
-      "           --autoStart        <Auto start>\n"
-      "           --rawOutFile       <Raw output file (full path)>\n"
+      "           --logFile          <Logfile,full path>\n"
+      "           --rnxAppend        <Append files, 0=no, 2=yes>\n"
+      "           --onTheFlyInterval <Reread configuration, interval>\n"
+      "           --autoStart        <Auto start, 0=no, 2=yes>\n"
+      "           --rawOutFile       <Raw output file, full path>\n"
       "\n"
       "RINEX Observations Panel keys:\n"
       "           --rnxPath        <Directory>\n"
       "           --rnxIntr        <Interval>\n"
-      "           --rnxSample      <Sampling> \n"
-      "           --rnxSkel        <Skeleton extension>\n"
-      "           --rnxOnlyWithSKL <Skeleton is mandatory>\n"
+      "           --rnxSample      <Sampling [sec]> \n"
+      "           --rnxSkel        <Skeleton file extension>\n"
+      "           --rnxOnlyWithSKL <Skeleton is mandatory, 0=no, 2=yes>\n"
       "           --rnxScript      <Upload script>\n"
       "           --rnxV2Priority  <Signal priority>\n"
-      "           --rnxV3          <Version 3>\n"
-      "           --rnxV3filenames <Version 3 filenames>\n"
+      "           --rnxV3          <Version 3, 0=no, 2=yes>\n"
+      "           --rnxV3filenames <Version 3 filenames, 0=no, 2=yes>\n"
       "\n"
       "RINEX Ephemeris Panel keys:\n"
@@ -117,6 +117,6 @@
       "           --ephIntr         <Interval>\n"
       "           --outEphPort      <Port>\n"
-      "           --ephV3           <Version 3>\n"
-      "           --ephV3filenames  <Version 3 filenames>\n"
+      "           --ephV3           <Version 3, 0=no, 2=yes>\n"
+      "           --ephV3filenames  <Version 3 filenames, 0=no, 2=yes>\n"
       "\n"
       "RINEX Editing and QC Panel keys:\n"
@@ -127,14 +127,14 @@
       "           --reqcOutNavFile        <Output navigation file>\n"
       "           --reqcOutLogFile        <Output logfile>\n"
-      "           --reqcLogSummaryOnly    <Summary output logfile>\n"
-      "           --reqcSkyPlotSignals    <Plots for signals>\n"
+      "           --reqcLogSummaryOnly    <Summary output logfile, 0=no, 2=yes>\n"
+      "           --reqcSkyPlotSignals    <Plots for signals list>\n"
       "           --reqcPlotDir           <QC plots directory>\n"
-      "           --reqcRnxVersion        <RINEX version>\n"
+      "           --reqcRnxVersion        <RINEX version, 2 or 3>\n"
       "           --reqcSampling          <RINEX sampling>\n"
-      "           --reqcV2Priority        <Version 2 signal priority>\n"
+      "           --reqcV2Priority        <Version 2 signal priority list>\n"
       "           --reqcStartDateTime     <Start time>\n"
       "           --reqcEndDateTime       <Stop time>\n"
       "           --reqcRunBy             <Operators name>\n"
-      "           --reqcUseObsTypes       <Use observation types>\n"
+      "           --reqcUseObsTypes       <Use observation types list>\n"
       "           --reqcComment           <Additional comments>\n"
       "           --reqcOldMarkerName     <Old marker name>\n"
@@ -156,5 +156,5 @@
       "\n"
       "SP3 Comparison Panel keys:\n"
-      "           --sp3CompFile       <SP3 input files>\n"
+      "           --sp3CompFile       <SP3 input files, full path>\n"
       "           --sp3CompExclude    <Satellite exclusion list>\n"
       "           --sp3CompOutLogFile <Output logfile>\n"
@@ -169,30 +169,31 @@
       "           --waitTime <Wait for full obs epoch>\n"
       "           --binSampl <Sampling>\n"
-      "           --outFile  <File (full path)>\n"
-      "           --outUPort <Port (unsynchronized)>\n"
+      "           --outFile  <File, full path>\n"
+      "           --outUPort <Port, unsynchronized output)>\n"
       "\n"
       "Serial Output Panel:\n"
-      "           --serialMountPoint    <Mountpoint>\n"
-      "           --serialPortName      <Port name>\n"
-      "           --serialBaudRate      <Baud rate>\n"
-      "           --serialFlowControl   <Flow control>\n"
-      "           --serialDataBits      <Data bits>\n"
-      "           --serialParity        <Parity>\n"
-      "           --serialStopBits      <Stop bits>\n"
-      "           --serialAutoNMEA      <NMEA>\n"
-      "           --serialFileNMEA      <NMEA filename>\n"
-      "           --serialHeightNMEA    <Height>\n"
+      "           --serialMountPoint         <Mountpoint>\n"
+      "           --serialPortName           <Port name>\n"
+      "           --serialBaudRate           <Baud rate>\n"
+      "           --serialFlowControl        <Flow control>\n"
+      "           --serialDataBits           <Data bits>\n"
+      "           --serialParity             <Parity>\n"
+      "           --serialStopBits           <Stop bits>\n"
+      "           --serialAutoNMEA           <NMEA, no|Auto|Manual GPGGA|Manual GNGGA>\n"
+      "           --serialFileNMEA           <NMEA filename>\n"
+      "           --serialHeightNMEA         <Height>\n"
+      "           --serialHeightNMEASampling <Sampling>\n"
       "\n"
       "Outages Panel keys:\n"
       "           --obsRate      <Observation rate> \n"
-      "           --adviseFail   <Failure threshold>\n"
-      "           --adviseReco   <Recovery threshold>\n"
-      "           --adviseScript <Script (full path)>\n"
+      "           --adviseFail   <Failure threshold [min]>\n"
+      "           --adviseReco   <Recovery threshold [min]>\n"
+      "           --adviseScript <Script, full path>\n"
       "\n"
       "Miscellaneous Panel keys:\n"
       "           --miscMount <Mountpoint>\n"
       "           --perfIntr  <Log latency>\n"
-      "           --scanRTCM  <Scan RTCM>\n"
-      "           --miscPort  <Mountpoint>\n"
+      "           --scanRTCM  <Scan for RTCM message numbers, 0=no, 2=yes>\n"
+      "           --miscPort  <Port output>\n"
       "\n"
       "PPP Client Panel 1 keys:\n"
@@ -207,5 +208,5 @@
       "           --nmeaFile    <NMEA output file>\n"
       "           --snxtroFile  <SINEX troposphere output filename>\n"
-      "           --snxtroSampl <SINEX troposphere sampling rage>\n"
+      "           --snxtroSampl <SINEX troposphere sampling rate>\n"
       "\n"
       "PPP Client Panel 2 keys:\n"
@@ -217,54 +218,54 @@
       "           --lcGalileo    <Linear combination from Galileo code data>\n"
       "           --lcBDS        <Linear combination from BDS code data>\n"
-      "           --sigmaC1      <Sigma for code observations>\n"
-      "           --sigmaL1      <Sigma for phase observations>\n"
-      "           --maxResC1     <Maximal residuum for code observations>\n"
-      "           --maxResL1     <Maximal residuum for phase observations>\n"
-      "           --eleWgtCode   <Elevation dependent waiting of code observations>\n"
-      "           --eleWgtPhase  <Elevation dependent waiting of phase observations>\n"
+      "           --sigmaC1      <Sigma for code observations [m]>\n"
+      "           --sigmaL1      <Sigma for phase observations [m]>\n"
+      "           --maxResC1     <Maximal residuum for code observations [m]>\n"
+      "           --maxResL1     <Maximal residuum for phase observations [m]>\n"
+      "           --eleWgtCode   <Elevation dependent waiting of code observations, 0=no, 2=yes>\n"
+      "           --eleWgtPhase  <Elevation dependent waiting of phase observations, 0=no, 2=yes>\n"
       "           --minObs       <Minimum number of observations>\n"
       "           --minEle       <Minimum elevation>\n"
-      "           --corrWaitTime <Wait for clock corrections>\n"
-      "           --seedingTime  <Seeding time span for Quick Start>\n"
+      "           --corrWaitTime <Wait for clock corrections [sec]>\n"
+      "           --seedingTime  <Seeding time span for Quick Start [sec]>\n"
       "\n"
       "PPP Client Panel 4 keys:\n"
       "           --plotCoordinates  <Mountpoint for time series plot>\n"
-      "           --audioResponse    <Audio response>\n"
-      "           --useOpenStreetMap <OSM track map>\n"
-      "           --useGoogleMap     <Google track map>\n"
+      "           --audioResponse    <Audio response [m]>\n"
+      "           --useOpenStreetMap <OSM track map, false|true>\n"
+      "           --useGoogleMap     <Google track map, false|true>\n"
       "           --mapWinDotSize    <Size of dots on map>\n"
       "           --mapWinDotColor   <Color of dots and cross hair on map>\n"
-      "           --mapSpeedSlider   <Offline processing speed for mapping>\n"
+      "           --mapSpeedSlider   <Offline processing speed for mapping, 1-100>\n"
       "\n"
       "Combine Corrections Panel keys:\n"
       "           --combineStreams  <Table of correction streams\n"
-      "           --cmbMethodFilter <Approach\n"
-      "           --cmbMaxres       <Clock outlier threshold\n"
-      "           --cmbSampl        <Orbit and clock sampling\n"
-      "           --cmbUseGlonass   <Use GLONASS in combination\n"
+      "           --cmbMethodFilter <Approach, Single-Epoch|Filter\n"
+      "           --cmbMaxres       <Clock outlier threshold [m]\n"
+      "           --cmbSampl        <Orbit and clock sampling [m]\n"
+      "           --cmbUseGlonass   <Use GLONASS in combination, 0=no, 2=yes\n"
       "\n"
       "Upload Corrections Panel keys:\n"
       "           --uploadMountpointsOut   <Upload corrections table>\n"
       "           --uploadIntr             <File interval>\n"
-      "           --uploadSamplRtcmEphCorr <Orbit sampling>\n"
-      "           --uploadSamplSp3         <Orbit sampling>\n"
-      "           --uploadSamplClkRnx      <Clock sampling>\n"
+      "           --uploadSamplRtcmEphCorr <Orbit sampling [sec]>\n"
+      "           --uploadSamplSp3         <SP3 sampling [min]>\n"
+      "           --uploadSamplClkRnx      <Clock sampling [sec]>\n"
       "\n"
       "Custom Trafo keys:\n"
-      "           --trafo_dx  <Translation X>\n"
-      "           --trafo_dy  <Translation Y>\n"
-      "           --trafo_dz  <Translation Z>\n"
-      "           --trafo_dxr <Translation change X>\n"
-      "           --trafo_dyr <Translation change Y>\n"
-      "           --trafo_dzr <Translation change Z>\n"
-      "           --trafo_ox  <Rotation X>\n"
-      "           --trafo_oy  <Rotation Y>\n"
-      "           --trafo_oz  <Rotation Z>\n"
-      "           --trafo_oxr <Rotation change X>\n"
-      "           --trafo_oyr <Rotation change Y>\n"
-      "           --trafo_ozr <Rotation change Z>\n"
-      "           --trafo_sc  <Scale>\n"
-      "           --trafo_scr <Scale change>\n"
-      "           --trafo_t0  <Reference year>\n"
+      "           --trafo_dx  <Translation X [m]>\n"
+      "           --trafo_dy  <Translation Y [m]>\n"
+      "           --trafo_dz  <Translation Z [m]>\n"
+      "           --trafo_dxr <Translation change X [m/y]>\n"
+      "           --trafo_dyr <Translation change Y [m/y]>\n"
+      "           --trafo_dzr <Translation change Z [m/y]>\n"
+      "           --trafo_ox  <Rotation X [as]>\n"
+      "           --trafo_oy  <Rotation Y [as]>\n"
+      "           --trafo_oz  <Rotation Z [as]>\n"
+      "           --trafo_oxr <Rotation change X [as/y]>\n"
+      "           --trafo_oyr <Rotation change Y [as/y]>\n"
+      "           --trafo_ozr <Rotation change Z [as/y]>\n"
+      "           --trafo_sc  <Scale [10^-9]>\n"
+      "           --trafo_scr <Scale change [10^-9/y]>\n"
+      "           --trafo_t0  <Reference year [y]>\n"
       "\n"
       "Upload Ephemeris Panel keys:\n"
@@ -273,8 +274,8 @@
       "           --uploadEphMountpoint <Mountpoint>\n"
       "           --uploadEphPassword   <Password>\n"
-      "           --uploadEphSample     <Sampling>\n"
+      "           --uploadEphSample     <Sampling [sec]>\n"
       "\n"
       "Add Stream keys:\n"
-      "           --mountPoints  <Add stream coming from ...>\n"
+      "           --mountPoints  <Mountpoints list>\n"
       "           --ntripVersion <Ntrip Version>\n";
 