Index: /trunk/BNC/src/PPP/pppEphPool.cpp
===================================================================
--- /trunk/BNC/src/PPP/pppEphPool.cpp	(revision 7277)
+++ /trunk/BNC/src/PPP/pppEphPool.cpp	(revision 7278)
@@ -11,5 +11,5 @@
  * Created:    29-Jul-2014
  *
- * Changes:    
+ * Changes:
  *
  * -----------------------------------------------------------------------*/
@@ -52,5 +52,5 @@
 //
 /////////////////////////////////////////////////////////////////////////////
-t_irc t_pppEphPool::getCrd(const t_prn& prn, const bncTime& tt, 
+t_irc t_pppEphPool::getCrd(const t_prn& prn, const bncTime& tt,
                              ColumnVector& xc, ColumnVector& vv) const {
   return _satEphPool[prn.toInt()].getCrd(tt, xc, vv);
@@ -84,6 +84,5 @@
     t_eph* eph = _ephs[ii];
     if (eph->IOD() == corr->_iod) {
-      eph->setOrbCorr(corr); 
-      return;
+      eph->setOrbCorr(corr);
     }
   }
@@ -97,5 +96,5 @@
     t_eph* eph = _ephs[ii];
     if (eph->IOD() == corr->_iod) {
-      eph->setClkCorr(corr); 
+      eph->setClkCorr(corr);
     }
   }
Index: /trunk/BNC/src/ephemeris.cpp
===================================================================
--- /trunk/BNC/src/ephemeris.cpp	(revision 7277)
+++ /trunk/BNC/src/ephemeris.cpp	(revision 7278)
@@ -23,4 +23,12 @@
   _orbCorr    = 0;
   _clkCorr    = 0;
+}
+// Destructor
+////////////////////////////////////////////////////////////////////////////
+t_eph::~t_eph() {
+  if (_orbCorr)
+    delete _orbCorr;
+  if (_clkCorr)
+    delete _clkCorr;
 }
 
@@ -313,5 +321,5 @@
   double OM     = _OMEGA0 + (_OMEGADOT - omegaEarth)*tk - 
                    omegaEarth*_TOEsec;
-  
+
   double sinom = sin(OM);
   double cosom = cos(OM);
@@ -320,5 +328,5 @@
   xc[0] = xp*cosom - yp*cosi*sinom;
   xc[1] = xp*sinom + yp*cosi*cosom;
-  xc[2] = yp*sini;                 
+  xc[2] = yp*sini;                
   
   double tc = tt - _TOC;
@@ -329,10 +337,10 @@
   double tanv2 = tan(v/2);
   double dEdM  = 1 / (1 - _e*cos(E));
-  double dotv  = sqrt((1.0 + _e)/(1.0 - _e)) / cos(E/2)/cos(E/2) / (1 + tanv2*tanv2) 
+  double dotv  = sqrt((1.0 + _e)/(1.0 - _e)) / cos(E/2)/cos(E/2) / (1 + tanv2*tanv2)
                * dEdM * n;
   double dotu  = dotv + (-_Cuc*sin2u0 + _Cus*cos2u0)*2*dotv;
   double dotom = _OMEGADOT - omegaEarth;
   double doti  = _IDOT + (-_Cic*sin2u0 + _Cis*cos2u0)*2*dotv;
-  double dotr  = a0 * _e*sin(E) * dEdM * n 
+  double dotr  = a0 * _e*sin(E) * dEdM * n
                 + (-_Crc*sin2u0 + _Crs*cos2u0)*2*dotv;
   double dotx  = dotr*cos(u) - r*sin(u)*dotu;
@@ -1128,13 +1136,13 @@
   }
 
-  _x_pos          *= 1.e3; 
-  _y_pos          *= 1.e3; 
-  _z_pos          *= 1.e3; 
-  _x_velocity     *= 1.e3; 
-  _y_velocity     *= 1.e3; 
-  _z_velocity     *= 1.e3; 
-  _x_acceleration *= 1.e3; 
-  _y_acceleration *= 1.e3; 
-  _z_acceleration *= 1.e3; 
+  _x_pos          *= 1.e3;
+  _y_pos          *= 1.e3;
+  _z_pos          *= 1.e3;
+  _x_velocity     *= 1.e3;
+  _y_velocity     *= 1.e3;
+  _z_velocity     *= 1.e3;
+  _x_acceleration *= 1.e3;
+  _y_acceleration *= 1.e3;
+  _z_acceleration *= 1.e3;
 }
 
@@ -1176,7 +1184,7 @@
   double  dt = tt - _TOC;
 
-  xc[0] = _x_pos + _x_velocity * dt + _x_acceleration * dt * dt / 2.0; 
-  xc[1] = _y_pos + _y_velocity * dt + _y_acceleration * dt * dt / 2.0; 
-  xc[2] = _z_pos + _z_velocity * dt + _z_acceleration * dt * dt / 2.0; 
+  xc[0] = _x_pos + _x_velocity * dt + _x_acceleration * dt * dt / 2.0;
+  xc[1] = _y_pos + _y_velocity * dt + _y_acceleration * dt * dt / 2.0;
+  xc[2] = _z_pos + _z_velocity * dt + _z_acceleration * dt * dt / 2.0;
 
   vv[0] = _x_velocity + _x_acceleration * dt;
@@ -1455,5 +1463,5 @@
   double sini  = 0;
   double cosi  = 0;
-  
+
   const double iMaxGEO = 10.0 / 180.0 * M_PI;
 
@@ -1470,5 +1478,5 @@
     xc[0] = xp*cosom - yp*cosi*sinom;
     xc[1] = xp*sinom + yp*cosi*cosom;
-    xc[2] = yp*sini;                 
+    xc[2] = yp*sini;
   }
 
@@ -1486,5 +1494,5 @@
     double xx = xp*cosom - yp*cosi*sinom;
     double yy = xp*sinom + yp*cosi*cosom;
-    double zz = yp*sini;                 
+    double zz = yp*sini;
 
     Matrix R1 = BNC_PPP::t_astro::rotX(-5.0 / 180.0 * M_PI);
@@ -1498,7 +1506,7 @@
     xc[2] = X2(3);
   }
-  
+
   double tc = tt - _TOC;
-  xc[3] = _clock_bias + _clock_drift*tc + _clock_driftrate*tc*tc 
+  xc[3] = _clock_bias + _clock_drift*tc + _clock_driftrate*tc*tc
           - 4.442807633e-10 * _e * sqrt(a0) *sin(E);
 
@@ -1507,10 +1515,10 @@
   double tanv2 = tan(v/2);
   double dEdM  = 1 / (1 - _e*cos(E));
-  double dotv  = sqrt((1.0 + _e)/(1.0 - _e)) / cos(E/2)/cos(E/2) 
+  double dotv  = sqrt((1.0 + _e)/(1.0 - _e)) / cos(E/2)/cos(E/2)
                  / (1 + tanv2*tanv2) * dEdM * n;
   double dotu  = dotv + (-_Cuc*sin2u0 + _Cus*cos2u0)*2*dotv;
   double dotom = _OMEGADOT - t_CST::omega;
   double doti  = _IDOT + (-_Cic*sin2u0 + _Cis*cos2u0)*2*dotv;
-  double dotr  = a0 * _e*sin(E) * dEdM * n 
+  double dotr  = a0 * _e*sin(E) * dEdM * n
                 + (-_Crc*sin2u0 + _Crs*cos2u0)*2*dotv;
   double dotx  = dotr*cos(u) - r*sin(u)*dotu;
@@ -1520,5 +1528,5 @@
         - xp*sinom*dotom - yp*cosi*cosom*dotom   // dX / dOMEGA
                          + yp*sini*sinom*doti;   // dX / di
-  
+
   vv[1]  = sinom  *dotx  + cosi*cosom   *doty
         + xp*cosom*dotom - yp*cosi*sinom*dotom
@@ -1527,5 +1535,5 @@
   vv[2]  = sini   *doty  + yp*cosi      *doti;
 
-  // dotC  = _clock_drift + _clock_driftrate*tc 
+  // dotC  = _clock_drift + _clock_driftrate*tc
   //       - 4.442807633e-10*_e*sqrt(a0)*cos(E) * dEdM * n;
 
Index: /trunk/BNC/src/ephemeris.h
===================================================================
--- /trunk/BNC/src/ephemeris.h	(revision 7277)
+++ /trunk/BNC/src/ephemeris.h	(revision 7278)
@@ -21,5 +21,5 @@
 
   t_eph();
-  virtual ~t_eph() {};
+  virtual ~t_eph();
 
   virtual e_type  type() const = 0;
@@ -40,5 +40,5 @@
   static bool earlierTime(const t_eph* eph1, const t_eph* eph2) {return eph1->_TOC < eph2->_TOC;}
 
- protected:  
+ protected:
   virtual t_irc position(int GPSweek, double GPSweeks, double* xc, double* vv) const = 0;
   t_prn        _prn;
@@ -67,30 +67,30 @@
   virtual t_irc position(int GPSweek, double GPSweeks, double* xc, double* vv) const;
 
-  double  _clock_bias;      // [s]    
-  double  _clock_drift;     // [s/s]  
+  double  _clock_bias;      // [s]
+  double  _clock_drift;     // [s/s]
   double  _clock_driftrate; // [s/s^2]
 
-  double  _IODE;            
-  double  _Crs;             // [m]    
+  double  _IODE;
+  double  _Crs;             // [m]
   double  _Delta_n;         // [rad/s]
-  double  _M0;              // [rad]  
-
-  double  _Cuc;             // [rad]  
-  double  _e;               //        
-  double  _Cus;             // [rad]  
+  double  _M0;              // [rad]
+
+  double  _Cuc;             // [rad]
+  double  _e;               //
+  double  _Cus;             // [rad]
   double  _sqrt_A;          // [m^0.5]
 
-  double  _TOEsec;          // [s]    
-  double  _Cic;             // [rad]  
-  double  _OMEGA0;          // [rad]  
-  double  _Cis;             // [rad]  
-
-  double  _i0;              // [rad]  
-  double  _Crc;             // [m]    
-  double  _omega;           // [rad]  
+  double  _TOEsec;          // [s]
+  double  _Cic;             // [rad]
+  double  _OMEGA0;          // [rad]
+  double  _Cis;             // [rad]
+
+  double  _i0;              // [rad]
+  double  _Crc;             // [m]
+  double  _omega;           // [rad]
   double  _OMEGADOT;        // [rad/s]
 
   double  _IDOT;            // [rad/s]
-  double  _L2Codes;         // Codes on L2 channel 
+  double  _L2Codes;         // Codes on L2 channel
   double  _TOEweek;
   double  _L2PFlag;         // L2 P data flag
@@ -98,8 +98,8 @@
   mutable double  _ura;     // SV accuracy
   double  _health;          // SV health
-  double  _TGD;             // [s]    
-  double  _IODC;            
-
-  double  _TOT;             // Transmisstion time 
+  double  _TGD;             // [s]
+  double  _IODC;
+
+  double  _TOT;             // Transmisstion time
   double  _fitInterval;     // Fit interval
 };
@@ -122,26 +122,26 @@
   static ColumnVector glo_deriv(double /* tt */, const ColumnVector& xv, double* acc);
 
-  mutable bncTime      _tt;  // time 
+  mutable bncTime      _tt;  // time
   mutable ColumnVector _xv;  // status vector (position, velocity) at time _tt
 
   double  _gps_utc;
-  double  _tau;              // [s]      
-  double  _gamma;            //          
+  double  _tau;              // [s]
+  double  _gamma;            //
   mutable double  _tki;      // message frame time
 
-  double  _x_pos;            // [km]     
-  double  _x_velocity;       // [km/s]   
-  double  _x_acceleration;   // [km/s^2] 
-  double  _health;           // 0 = O.K. 
-
-  double  _y_pos;            // [km]     
-  double  _y_velocity;       // [km/s]   
-  double  _y_acceleration;   // [km/s^2] 
-  double  _frequency_number; // ICD-GLONASS data position 
-
-  double  _z_pos;            // [km]     
-  double  _z_velocity;       // [km/s]   
-  double  _z_acceleration;   // [km/s^2] 
-  double  _E;                // Age of Information [days]   
+  double  _x_pos;            // [km]
+  double  _x_velocity;       // [km/s]
+  double  _x_acceleration;   // [km/s^2]
+  double  _health;           // 0 = O.K.
+
+  double  _y_pos;            // [km]
+  double  _y_velocity;       // [km/s]
+  double  _y_acceleration;   // [km/s^2]
+  double  _frequency_number; // ICD-GLONASS data position
+
+  double  _z_pos;            // [km]
+  double  _z_velocity;       // [km/s]
+  double  _z_acceleration;   // [km/s^2]
+  double  _E;                // Age of Information [days]
 };
 
@@ -161,26 +161,26 @@
   virtual t_irc position(int GPSweek, double GPSweeks, double* xc, double* vv) const;
 
-  double  _clock_bias;       //  [s]    
-  double  _clock_drift;      //  [s/s]  
+  double  _clock_bias;       //  [s]
+  double  _clock_drift;      //  [s/s]
   double  _clock_driftrate;  //  [s/s^2]
 
   double  _IODnav;
-  double  _Crs;              //  [m]    
+  double  _Crs;              //  [m]
   double  _Delta_n;          //  [rad/s]
-  double  _M0;               //  [rad]  
-
-  double  _Cuc;              //  [rad]  
-  double  _e;                //         
-  double  _Cus;              //  [rad]  
+  double  _M0;               //  [rad]
+
+  double  _Cuc;              //  [rad]
+  double  _e;                //
+  double  _Cus;              //  [rad]
   double  _sqrt_A;           //  [m^0.5]
 
-  double  _TOEsec;           //  [s]    
-  double  _Cic;              //  [rad]  
-  double  _OMEGA0;           //  [rad]  
-  double  _Cis;              //  [rad]  
-
-  double  _i0;               //  [rad]  
-  double  _Crc;              //  [m]    
-  double  _omega;            //  [rad]  
+  double  _TOEsec;           //  [s]
+  double  _Cic;              //  [rad]
+  double  _OMEGA0;           //  [rad]
+  double  _Cis;              //  [rad]
+
+  double  _i0;               //  [rad]
+  double  _Crc;              //  [m]
+  double  _omega;            //  [rad]
   double  _OMEGADOT;         //  [rad/s]
 
@@ -193,6 +193,6 @@
   double  _E5bHS;            //  [0..3] E5b Health Status
   double  _E1_bHS;           //  [0..3] E1-b Health Status
-  double  _BGD_1_5A;         //  group delay [s] 
-  double  _BGD_1_5B;         //  group delay [s] 
+  double  _BGD_1_5A;         //  group delay [s]
+  double  _BGD_1_5B;         //  group delay [s]
 
   double  _TOT;              // [s]
@@ -229,15 +229,15 @@
   double _agf1;           // [s/s]  clock correction drift
 
-  double _x_pos;          // [m]     
-  double _x_velocity;     // [m/s]   
-  double _x_acceleration; // [m/s^2] 
-
-  double _y_pos;          // [m]     
-  double _y_velocity;     // [m/s]   
-  double _y_acceleration; // [m/s^2] 
-
-  double _z_pos;          // [m]     
-  double _z_velocity;     // [m/s]   
-  double _z_acceleration; // [m/s^2] 
+  double _x_pos;          // [m]
+  double _x_velocity;     // [m/s]
+  double _x_acceleration; // [m/s^2]
+
+  double _y_pos;          // [m]
+  double _y_velocity;     // [m/s]
+  double _y_acceleration; // [m/s^2]
+
+  double _z_pos;          // [m]
+  double _z_velocity;     // [m/s]
+  double _z_acceleration; // [m/s^2]
 
   mutable double _ura;
@@ -266,25 +266,25 @@
   int     _URAI;             //  [0..15] index from RTCM stream
   mutable double  _URA;      //  user range accuracy
-  double  _clock_bias;       //  [s]    
-  double  _clock_drift;      //  [s/s]  
+  double  _clock_bias;       //  [s]
+  double  _clock_drift;      //  [s/s]
   double  _clock_driftrate;  //  [s/s^2]
-  double  _Crs;              //  [m]    
+  double  _Crs;              //  [m]
   double  _Delta_n;          //  [rad/s]
-  double  _M0;               //  [rad]  
-  double  _Cuc;              //  [rad]  
-  double  _e;                //         
-  double  _Cus;              //  [rad]  
+  double  _M0;               //  [rad]
+  double  _Cuc;              //  [rad]
+  double  _e;                //
+  double  _Cus;              //  [rad]
   double  _sqrt_A;           //  [m^0.5]
-  double  _Cic;              //  [rad]  
-  double  _OMEGA0;           //  [rad]  
-  double  _Cis;              //  [rad]  
-  double  _i0;               //  [rad]  
-  double  _Crc;              //  [m]    
-  double  _omega;            //  [rad]  
+  double  _Cic;              //  [rad]
+  double  _OMEGA0;           //  [rad]
+  double  _Cis;              //  [rad]
+  double  _i0;               //  [rad]
+  double  _Crc;              //  [m]
+  double  _omega;            //  [rad]
   double  _OMEGADOT;         //  [rad/s]
   double  _IDOT;             //  [rad/s]
-  double  _TGD1;             //  [s]    
-  double  _TGD2;             //  [s]    
-  int     _SatH1;            // 
+  double  _TGD1;             //  [s]
+  double  _TGD2;             //  [s]
+  int     _SatH1;            //
   double  _TOW;              //  [s] of BDT week
   double  _TOEsec;           //  [s] of BDT week
Index: /trunk/BNC/src/pppMain.cpp
===================================================================
--- /trunk/BNC/src/pppMain.cpp	(revision 7277)
+++ /trunk/BNC/src/pppMain.cpp	(revision 7278)
@@ -36,5 +36,5 @@
  * Created:    29-Jul-2014
  *
- * Changes:    
+ * Changes:
  *
  * -----------------------------------------------------------------------*/
@@ -65,5 +65,5 @@
 }
 
-// 
+//
 //////////////////////////////////////////////////////////////////////////////
 void t_pppMain::start() {
@@ -90,5 +90,5 @@
 }
 
-// 
+//
 //////////////////////////////////////////////////////////////////////////////
 void t_pppMain::stop() {
@@ -110,5 +110,5 @@
 }
 
-// 
+//
 //////////////////////////////////////////////////////////////////////////////
 void t_pppMain::readOptions() {
@@ -135,5 +135,5 @@
   }
   else {
-    return;    
+    return;
   }
 
@@ -149,5 +149,5 @@
 
     opt->_realTime     = _realTime;
-    opt->_roverName    = hlp[0].toAscii().data();
+    opt->_roverName    = hlp[0].toStdString();
     opt->_aprSigCrd[0] = hlp[1].toDouble();
     opt->_aprSigCrd[1] = hlp[2].toDouble();
Index: /trunk/BNC/src/pppRun.cpp
===================================================================
--- /trunk/BNC/src/pppRun.cpp	(revision 7277)
+++ /trunk/BNC/src/pppRun.cpp	(revision 7278)
@@ -36,5 +36,5 @@
  * Created:    29-Jul-2014
  *
- * Changes:    
+ * Changes:
  *
  * -----------------------------------------------------------------------*/
@@ -67,5 +67,5 @@
   _opt = opt;
 
-  connect(this, SIGNAL(newMessage(QByteArray,bool)), 
+  connect(this, SIGNAL(newMessage(QByteArray,bool)),
           BNC_CORE, SLOT(slotMessage(const QByteArray,bool)));
 
@@ -91,8 +91,8 @@
     connect(BNC_CORE, SIGNAL(newGPSEph(t_ephGPS)),
             this, SLOT(slotNewGPSEph(t_ephGPS)),conType);
-  
+
     connect(BNC_CORE, SIGNAL(newGlonassEph(t_ephGlo)),
             this, SLOT(slotNewGlonassEph(t_ephGlo)),conType);
-  
+
     connect(BNC_CORE, SIGNAL(newGalileoEph(t_ephGal)),
             this, SLOT(slotNewGalileoEph(t_ephGal)),conType);
@@ -120,9 +120,9 @@
     connect(this, SIGNAL(progressRnxPPP(int)), BNC_CORE, SIGNAL(progressRnxPPP(int)));
     connect(this, SIGNAL(finishedRnxPPP()),    BNC_CORE, SIGNAL(finishedRnxPPP()));
-    connect(BNC_CORE, SIGNAL(mapSpeedSliderChanged(int)),    
+    connect(BNC_CORE, SIGNAL(mapSpeedSliderChanged(int)),
             this, SLOT(slotSetSpeed(int)));
     connect(BNC_CORE, SIGNAL(stopRinexPPP()), this, SLOT(slotSetStopFlag()));
   }
- 
+
   _stopFlag = false;
 
@@ -183,5 +183,5 @@
 }
 
-// 
+//
 ////////////////////////////////////////////////////////////////////////////
 void t_pppRun::slotNewGPSEph(t_ephGPS eph) {
@@ -190,5 +190,5 @@
 }
 
-// 
+//
 ////////////////////////////////////////////////////////////////////////////
 void t_pppRun::slotNewGlonassEph(t_ephGlo eph) {
@@ -196,6 +196,6 @@
   _pppClient->putEphemeris(&eph);
 }
-  
-// 
+
+//
 ////////////////////////////////////////////////////////////////////////////
 void t_pppRun::slotNewGalileoEph(t_ephGal eph) {
@@ -220,5 +220,5 @@
   }
 
-  // Loop over all obsevations (possible different epochs)
+  // Loop over all observations (possible different epochs)
   // -----------------------------------------------------
   QListIterator<t_satObs> it(obsList);
@@ -276,5 +276,5 @@
 
     delete _epoData.front(); _epoData.pop_front();
-    
+
     ostringstream log;
     if (output._error) {
@@ -295,6 +295,6 @@
 
     if (_logFile && output._epoTime.valid()) {
-      _logFile->write(output._epoTime.gpsw(), output._epoTime.gpssec(), 
-                      QString(output._log.c_str())); 
+      _logFile->write(output._epoTime.gpsw(), output._epoTime.gpssec(),
+                      QString(output._log.c_str()));
     }
 
@@ -335,5 +335,5 @@
 }
 
-// 
+//
 ////////////////////////////////////////////////////////////////////////////
 void t_pppRun::slotNewOrbCorrections(QList<t_orbCorr> orbCorr) {
@@ -352,8 +352,12 @@
   }
 
-  _pppClient->putOrbCorrections(corrections); 
-}
-
-// 
+  _pppClient->putOrbCorrections(corrections);
+
+  for (unsigned ii = 0; ii < corrections.size(); ii++) {
+    delete corrections[ii];
+  }
+}
+
+//
 ////////////////////////////////////////////////////////////////////////////
 void t_pppRun::slotNewClkCorrections(QList<t_clkCorr> clkCorr) {
@@ -372,8 +376,12 @@
     _lastClkCorrTime = clkCorr[ii]._time;
   }
-  _pppClient->putClkCorrections(corrections); 
-}
-
-// 
+  _pppClient->putClkCorrections(corrections);
+
+  for (unsigned ii = 0; ii < corrections.size(); ii++) {
+    delete corrections[ii];
+  }
+}
+
+//
 ////////////////////////////////////////////////////////////////////////////
 void t_pppRun::slotNewCodeBiases(QList<t_satCodeBias> codeBiases) {
@@ -392,8 +400,12 @@
   }
 
-  _pppClient->putCodeBiases(biases); 
-}
-
-// 
+  _pppClient->putCodeBiases(biases);
+
+  for (unsigned ii = 0; ii < biases.size(); ii++) {
+    delete biases[ii];
+  }
+}
+
+//
 ////////////////////////////////////////////////////////////////////////////
 void t_pppRun::processFiles() {
@@ -468,5 +480,5 @@
     for (unsigned iObs = 0; iObs < epo->rnxSat.size(); iObs++) {
       const t_rnxObsFile::t_rnxSat& rnxSat = epo->rnxSat[iObs];
-    
+
       t_satObs obs;
       t_rnxObsFile::setObsFromRnx(_rnxObsFile, epo, rnxSat, obs);
@@ -479,5 +491,5 @@
       emit progressRnxPPP(nEpo);
     }
-  
+
     QCoreApplication::processEvents();
   }
@@ -493,5 +505,5 @@
 }
 
-//  
+//
 ////////////////////////////////////////////////////////////////////////////
 void t_pppRun::slotSetSpeed(int speed) {
@@ -500,5 +512,5 @@
 }
 
-//  
+//
 ////////////////////////////////////////////////////////////////////////////
 void t_pppRun::slotSetStopFlag() {
@@ -507,9 +519,9 @@
 }
 
-//  
+//
 ////////////////////////////////////////////////////////////////////////////
 QString t_pppRun::nmeaString(char strType, const t_output& output) {
 
-  double ell[3]; 
+  double ell[3];
   xyz2ell(output._xyzRover, ell);
   double phiDeg = ell[0] * 180 / M_PI;
@@ -520,10 +532,10 @@
     phiDeg = -phiDeg;
     phiCh  =  'S';
-  }   
+  }
   char lamCh = 'E';
   if (lamDeg < 0) {
     lamDeg = -lamDeg;
     lamCh  =  'W';
-  }   
+  }
 
   ostringstream out;
@@ -532,11 +544,11 @@
   if      (strType == 'R') {
     string datestr = output._epoTime.datestr(0); // yyyymmdd
-    out << "GPRMC," 
+    out << "GPRMC,"
         << output._epoTime.timestr(0,0) << ",A,"
-        << setw(2) << setfill('0') << int(phiDeg) 
-        << setw(6) << setprecision(3) << setfill('0') 
+        << setw(2) << setfill('0') << int(phiDeg)
+        << setw(6) << setprecision(3) << setfill('0')
         << fmod(60*phiDeg,60) << ',' << phiCh << ','
-        << setw(3) << setfill('0') << int(lamDeg) 
-        << setw(6) << setprecision(3) << setfill('0') 
+        << setw(3) << setfill('0') << int(lamDeg)
+        << setw(6) << setprecision(3) << setfill('0')
         << fmod(60*lamDeg,60) << ',' << lamCh << ",,,"
         << datestr[6] << datestr[7] << datestr[4] << datestr[5]
@@ -544,12 +556,12 @@
   }
   else if (strType == 'G') {
-    out << "GPGGA," 
+    out << "GPGGA,"
         << output._epoTime.timestr(0,0) << ','
-        << setw(2) << setfill('0') << int(phiDeg) 
-        << setw(10) << setprecision(7) << setfill('0') 
+        << setw(2) << setfill('0') << int(phiDeg)
+        << setw(10) << setprecision(7) << setfill('0')
         << fmod(60*phiDeg,60) << ',' << phiCh << ','
-        << setw(3) << setfill('0') << int(lamDeg) 
-        << setw(10) << setprecision(7) << setfill('0') 
-        << fmod(60*lamDeg,60) << ',' << lamCh 
+        << setw(3) << setfill('0') << int(lamDeg)
+        << setw(10) << setprecision(7) << setfill('0')
+        << fmod(60*lamDeg,60) << ',' << lamCh
         << ",1," << setw(2) << setfill('0') << output._numSat << ','
         << setw(3) << setprecision(1) << output._pDop << ','
@@ -569,5 +581,5 @@
 }
 
-//  
+//
 ////////////////////////////////////////////////////////////////////////////
 bool t_pppRun::waitForCorr(const bncTime& epoTime) const {