Index: /trunk/BNC/src/bncmain.cpp
===================================================================
--- /trunk/BNC/src/bncmain.cpp	(revision 7280)
+++ /trunk/BNC/src/bncmain.cpp	(revision 7281)
@@ -93,8 +93,8 @@
       "           --proxyPort       <Proxy port>\n"
       "           --sslCaCertPath   <Path to SSL certificates>\n"
-      "           --ignoreSslErrors <Ignore SSL authorization errors, 0=no, 2=yes\n"
+      "           --ignoreSslErrors <Ignore SSL authorization errors, 0=no, 2=yes>\n"
       "\n"
       "General Panel keys:\n"
-      "           --logFile          <Logfile,full path>\n"
+      "           --logFile          <Logfile, full path>\n"
       "           --rnxAppend        <Append files, 0=no, 2=yes>\n"
       "           --onTheFlyInterval <Reread configuration, interval>\n"
@@ -108,8 +108,8 @@
       "           --rnxSkel        <Skeleton file extension>\n"
       "           --rnxOnlyWithSKL <Skeleton is mandatory, 0=no, 2=yes>\n"
-      "           --rnxScript      <Upload script>\n"
+      "           --rnxScript      <File upload script>\n"
       "           --rnxV2Priority  <Signal priority>\n"
-      "           --rnxV3          <Version 3, 0=no, 2=yes>\n"
-      "           --rnxV3filenames <Version 3 filenames, 0=no, 2=yes>\n"
+      "           --rnxV3          <Produce version 3 file contents, 0=no, 2=yes>\n"
+      "           --rnxV3filenames <Produce version 3 filenames, 0=no, 2=yes>\n"
       "\n"
       "RINEX Ephemeris Panel keys:\n"
@@ -117,19 +117,19 @@
       "           --ephIntr         <Interval>\n"
       "           --outEphPort      <Port>\n"
-      "           --ephV3           <Version 3, 0=no, 2=yes>\n"
-      "           --ephV3filenames  <Version 3 filenames, 0=no, 2=yes>\n"
+      "           --ephV3           <Produce version 3 file contents, 0=no, 2=yes>\n"
+      "           --ephV3filenames  <Produde version 3 filenames, 0=no, 2=yes>\n"
       "\n"
       "RINEX Editing and QC Panel keys:\n"
-      "           --reqcAction            <Action>\n"
-      "           --reqcObsFile           <Input observations file>\n"
-      "           --reqcNavFile           <Input navigation file>\n"
+      "           --reqcAction            <Action, Edit/Concatenate|Analyze>\n"
+      "           --reqcObsFile           <Input observations file(s)>\n"
+      "           --reqcNavFile           <Input navigation file(s)>\n"
       "           --reqcOutObsFile        <Output observations file>\n"
       "           --reqcOutNavFile        <Output navigation file>\n"
       "           --reqcOutLogFile        <Output logfile>\n"
-      "           --reqcLogSummaryOnly    <Summary output logfile, 0=no, 2=yes>\n"
+      "           --reqcLogSummaryOnly    <Only summary output logfile, 0=no, 2=yes>\n"
       "           --reqcSkyPlotSignals    <Plots for signals list>\n"
       "           --reqcPlotDir           <QC plots directory>\n"
-      "           --reqcRnxVersion        <RINEX version, 2 or 3>\n"
-      "           --reqcSampling          <RINEX sampling>\n"
+      "           --reqcRnxVersion        <RINEX version, 2|3>\n"
+      "           --reqcSampling          <RINEX sampling [sec]>\n"
       "           --reqcV2Priority        <Version 2 signal priority list>\n"
       "           --reqcStartDateTime     <Start time>\n"
@@ -161,5 +161,5 @@
       "\n"
       "Broadcast Corrections Panel keys:\n"
-      "           --corrPath <Directory, ASCII>\n"
+      "           --corrPath <Directory for saving files in ASCII format>\n"
       "           --corrIntr <Interval>\n"
       "           --corrPort <Port>\n"
@@ -167,6 +167,6 @@
       "Feed Engine Panel keys:\n"
       "           --outPort  <Port>\n"
-      "           --waitTime <Wait for full obs epoch>\n"
-      "           --binSampl <Sampling>\n"
+      "           --waitTime <Wait for full obs epoch [sec]>\n"
+      "           --binSampl <Sampling [sec]>\n"
       "           --outFile  <File, full path>\n"
       "           --outUPort <Port, unsynchronized output)>\n"
@@ -175,16 +175,16 @@
       "           --serialMountPoint         <Mountpoint>\n"
       "           --serialPortName           <Port name>\n"
-      "           --serialBaudRate           <Baud rate>\n"
-      "           --serialFlowControl        <Flow control>\n"
-      "           --serialDataBits           <Data bits>\n"
-      "           --serialParity             <Parity>\n"
-      "           --serialStopBits           <Stop bits>\n"
+      "           --serialBaudRate           <Baud rate, 110|300|600|1200|2400|4800|9600|...>\n"
+      "           --serialFlowControl        <Flow control, OFF|XONXOFF|HARDWARE>\n"
+      "           --serialDataBits           <Data bits, 5|6|7|8>\n"
+      "           --serialParity             <Parity, NONE|ODD|EVEN|SPACE>\n"
+      "           --serialStopBits           <Stop bits, 1|2>\n"
       "           --serialAutoNMEA           <NMEA, no|Auto|Manual GPGGA|Manual GNGGA>\n"
       "           --serialFileNMEA           <NMEA filename>\n"
       "           --serialHeightNMEA         <Height>\n"
-      "           --serialHeightNMEASampling <Sampling>\n"
+      "           --serialHeightNMEASampling <Sampling [sec]>\n"
       "\n"
       "Outages Panel keys:\n"
-      "           --obsRate      <Observation rate> \n"
+      "           --obsRate      <Observation rate, 0.1 Hz|0.2 Hz|0.5 Hz|1 Hz|5 Hz> \n"
       "           --adviseFail   <Failure threshold [min]>\n"
       "           --adviseReco   <Recovery threshold [min]>\n"
@@ -193,10 +193,10 @@
       "Miscellaneous Panel keys:\n"
       "           --miscMount <Mountpoint>\n"
-      "           --perfIntr  <Log latency>\n"
+      "           --perfIntr  <Log latency, interval>\n"
       "           --scanRTCM  <Scan for RTCM message numbers, 0=no, 2=yes>\n"
       "           --miscPort  <Port output>\n"
       "\n"
       "PPP Client Panel 1 keys:\n"
-      "           --dataSource  <Switch between real-time and post processing>\n"
+      "           --dataSource  <Data source, Real-Time Streams| RINEX Files>\n"
       "           --rinexObs    <RINEX observation file>\n"
       "           --rinexNav    <RINEX navigation file>\n"
@@ -208,5 +208,5 @@
       "           --nmeaFile    <NMEA output file>\n"
       "           --snxtroFile  <SINEX troposphere output filename>\n"
-      "           --snxtroSampl <SINEX troposphere sampling rate>\n"
+      "           --snxtroSampl <SINEX troposphere sampling rate [sec]>\n"
       "\n"
       "PPP Client Panel 2 keys:\n"
@@ -214,8 +214,8 @@
       "\n"
       "PPP Client Panel 3 keys:\n"
-      "           --lcGPS        <Linear combination from GPS code data>\n"
-      "           --lcGLONASS    <Linear combination from GLONASS code data>\n"
-      "           --lcGalileo    <Linear combination from Galileo code data>\n"
-      "           --lcBDS        <Linear combination from BDS code data>\n"
+      "           --lcGPS        <Select linear combination from GPS code or phase data>\n"
+      "           --lcGLONASS    <Select linear combination from GLONASS code or phase data>\n"
+      "           --lcGalileo    <Select linear combination from Galileo code or phase data>\n"
+      "           --lcBDS        <Select linear combination from BDS code or phase data>\n"
       "           --sigmaC1      <Sigma for code observations [m]>\n"
       "           --sigmaL1      <Sigma for phase observations [m]>\n"
@@ -225,5 +225,5 @@
       "           --eleWgtPhase  <Elevation dependent waiting of phase observations, 0=no, 2=yes>\n"
       "           --minObs       <Minimum number of observations>\n"
-      "           --minEle       <Minimum elevation>\n"
+      "           --minEle       <Minimum elevation [deg]>\n"
       "           --corrWaitTime <Wait for clock corrections [sec]>\n"
       "           --seedingTime  <Seeding time span for Quick Start [sec]>\n"
@@ -231,9 +231,9 @@
       "PPP Client Panel 4 keys:\n"
       "           --plotCoordinates  <Mountpoint for time series plot>\n"
-      "           --audioResponse    <Audio response [m]>\n"
-      "           --useOpenStreetMap <OSM track map, false|true>\n"
-      "           --useGoogleMap     <Google track map, false|true>\n"
+      "           --audioResponse    <Audio response threshold [m]>\n"
+      "           --useOpenStreetMap <OSM track map, true|false>\n"
+      "           --useGoogleMap     <Google track map, true|false>\n"
       "           --mapWinDotSize    <Size of dots on map>\n"
-      "           --mapWinDotColor   <Color of dots and cross hair on map>\n"
+      "           --mapWinDotColor   <Color of dots and cross hair on map, red|yellow>\n"
       "           --mapSpeedSlider   <Offline processing speed for mapping, 1-100>\n"
       "\n"
@@ -247,8 +247,8 @@
       "Upload Corrections Panel keys:\n"
       "           --uploadMountpointsOut   <Upload corrections table>\n"
-      "           --uploadIntr             <File interval>\n"
-      "           --uploadSamplRtcmEphCorr <Orbit sampling [sec]>\n"
-      "           --uploadSamplSp3         <SP3 sampling [min]>\n"
-      "           --uploadSamplClkRnx      <Clock sampling [sec]>\n"
+      "           --uploadIntr             <File interval, length of SP3 and Clock RINEX files>\n"
+      "           --uploadSamplRtcmEphCorr <Orbit corrections sampling interval [sec]>\n"
+      "           --uploadSamplSp3         <SP3 file sampling [min]>\n"
+      "           --uploadSamplClkRnx      <Clock RINEX file sampling [sec]>\n"
       "\n"
       "Custom Trafo keys:\n"
@@ -274,5 +274,5 @@
       "           --uploadEphMountpoint <Mountpoint>\n"
       "           --uploadEphPassword   <Password>\n"
-      "           --uploadEphSample     <Sampling [sec]>\n"
+      "           --uploadEphSample     <Sampling interval [sec]>\n"
       "\n"
       "Add Stream keys:\n"