Index: /trunk/BNC/src/bncmain.cpp
===================================================================
--- /trunk/BNC/src/bncmain.cpp	(revision 7296)
+++ /trunk/BNC/src/bncmain.cpp	(revision 7297)
@@ -238,5 +238,5 @@
       "\n"
       "Combine Corrections Panel keys:\n"
-      "           combineStreams  <Table of correction streams\n"
+      "           cmbStreams      <Correction streams as semicolon separated list>\n"
       "           cmbMethodFilter <Approach, Single-Epoch|Filter\n"
       "           cmbMaxres       <Clock outlier threshold [m]\n"
Index: /trunk/BNC/src/bncsettings.cpp
===================================================================
--- /trunk/BNC/src/bncsettings.cpp	(revision 7296)
+++ /trunk/BNC/src/bncsettings.cpp	(revision 7297)
@@ -11,5 +11,5 @@
  * Created:    25-Jan-2009
  *
- * Changes:    
+ * Changes:
  *
  * -----------------------------------------------------------------------*/
@@ -20,5 +20,5 @@
 #include "bnccore.h"
 
-QMutex bncSettings::_mutex;  // static mutex 
+QMutex bncSettings::_mutex;  // static mutex
 
 // Constructor
@@ -28,5 +28,5 @@
 
   // First fill the options
-  // ---------------------- 
+  // ----------------------
   if (BNC_CORE->_settings.size() == 0) {
     reRead();
@@ -67,7 +67,7 @@
     setValue_p("statusTab",           "0");
     setValue_p("font",                "");
-    setValue_p("casterUrlList", (QStringList() 
-                               << "http://user:pass@www.euref-ip.net:2101" 
-                               << "http://user:pass@www.igs-ip.net:2101" 
+    setValue_p("casterUrlList", (QStringList()
+                               << "http://user:pass@www.euref-ip.net:2101"
+                               << "http://user:pass@www.igs-ip.net:2101"
                                << "http://user:pass@products.igs-ip.net:2101"
                                << "http://user:pass@mgex.igs-ip.net:2101"));
@@ -135,5 +135,5 @@
     setValue_p("reqcUseObsTypes",     "");
     setValue_p("reqcV2Priority",      "");
-    // SP3 
+    // SP3
     setValue_p("sp3CompFile",         "");
     setValue_p("sp3CompExclude",      "");
@@ -167,10 +167,10 @@
     setValue_p("adviseScript",        "");
     // Miscellaneous
-    setValue_p("miscMount",           "");  
+    setValue_p("miscMount",           "");
     setValue_p("perfIntr",            "");
     setValue_p("scanRTCM",            "0");
-    setValue_p("miscPort",            "");  
+    setValue_p("miscPort",            "");
     // Combination
-    setValue_p("combineStreams",      "");
+    setValue_p("cmbStreams",          "");
     setValue_p("cmbMethod",           "");
     setValue_p("cmbMaxres",           "");
@@ -211,5 +211,5 @@
 }
 
-// 
+//
 ////////////////////////////////////////////////////////////////////////////
 QVariant bncSettings::value(const QString& key,
@@ -225,5 +225,5 @@
 }
 
-// 
+//
 ////////////////////////////////////////////////////////////////////////////
 void bncSettings::setValue(const QString &key, const QVariant& value) {
@@ -232,5 +232,5 @@
 }
 
-// 
+//
 ////////////////////////////////////////////////////////////////////////////
 void bncSettings::setValue_p(const QString &key, const QVariant& value) {
@@ -238,5 +238,5 @@
 }
 
-// 
+//
 ////////////////////////////////////////////////////////////////////////////
 void bncSettings::remove(const QString& key ) {
@@ -245,5 +245,5 @@
 }
 
-// 
+//
 ////////////////////////////////////////////////////////////////////////////
 bool bncSettings::contains(const QString& key) const {
@@ -252,5 +252,5 @@
 }
 
-// 
+//
 ////////////////////////////////////////////////////////////////////////////
 void bncSettings::sync() {
Index: /trunk/BNC/src/bncwindow.cpp
===================================================================
--- /trunk/BNC/src/bncwindow.cpp	(revision 7296)
+++ /trunk/BNC/src/bncwindow.cpp	(revision 7297)
@@ -1672,5 +1672,5 @@
   }
 
-  QStringList combineStreams;
+  QStringList cmbStreams;
   for (int iRow = 0; iRow < _cmbTable->rowCount(); iRow++) {
     QString hlp;
@@ -1681,5 +1681,5 @@
     }
     if (!hlp.isEmpty()) {
-      combineStreams << hlp;
+      cmbStreams << hlp;
     }
   }
@@ -1797,9 +1797,9 @@
   settings.setValue("sp3CompOutLogFile", _sp3CompLogLineEdit->text());
 // Combine Corrections
-  if (!combineStreams.isEmpty()) {
-    settings.setValue("combineStreams", combineStreams);
+  if (!cmbStreams.isEmpty()) {
+    settings.setValue("cmbStreams", cmbStreams);
   }
   else {
-    settings.setValue("combineStreams", "");
+    settings.setValue("cmbStreams", "");
   }
   settings.setValue("cmbMethod",     _cmbMethodComboBox->currentText());
@@ -2441,5 +2441,5 @@
 
   int iRow = -1;
-  QListIterator<QString> it(settings.value("combineStreams").toStringList());
+  QListIterator<QString> it(settings.value("cmbStreams").toStringList());
   while (it.hasNext()) {
     QStringList hlp = it.next().split(" ");
Index: /trunk/BNC/src/combination/bnccomb.cpp
===================================================================
--- /trunk/BNC/src/combination/bnccomb.cpp	(revision 7296)
+++ /trunk/BNC/src/combination/bnccomb.cpp	(revision 7297)
@@ -11,5 +11,5 @@
  * Created:    22-Jan-2011
  *
- * Changes:    
+ * Changes:
  *
  * -----------------------------------------------------------------------*/
@@ -78,5 +78,5 @@
 ////////////////////////////////////////////////////////////////////////////
 double bncComb::cmbParam::partial(const QString& AC_, const QString& prn_) {
-  
+
   if      (type == offACgps) {
     if (AC == AC_ && prn_[0] == 'G') {
@@ -103,10 +103,10 @@
 }
 
-// 
+//
 ////////////////////////////////////////////////////////////////////////////
 QString bncComb::cmbParam::toString() const {
 
   QString outStr;
- 
+
   if      (type == offACgps) {
     outStr = "AC offset GPS " + AC;
@@ -131,5 +131,5 @@
   bncSettings settings;
 
-  QStringList combineStreams = settings.value("combineStreams").toStringList();
+  QStringList cmbStreams = settings.value("cmbStreams").toStringList();
 
   _cmbSampl = settings.value("cmbSampl").toInt();
@@ -140,6 +140,6 @@
   _masterMissingEpochs = 0;
 
-  if (combineStreams.size() >= 1 && !combineStreams[0].isEmpty()) {
-    QListIterator<QString> it(combineStreams);
+  if (cmbStreams.size() >= 1 && !cmbStreams[0].isEmpty()) {
+    QListIterator<QString> it(cmbStreams);
     while (it.hasNext()) {
       QStringList hlp = it.next().split(" ");
@@ -157,5 +157,5 @@
   _rtnetDecoder = 0;
 
-  connect(this,     SIGNAL(newMessage(QByteArray,bool)), 
+  connect(this,     SIGNAL(newMessage(QByteArray,bool)),
           BNC_CORE, SLOT(slotMessage(const QByteArray,bool)));
 
@@ -197,5 +197,5 @@
       for (unsigned iGps = 1; iGps <= t_prn::MAXPRN_GPS; iGps++) {
         QString prn = QString("G%1_0").arg(iGps, 2, 10, QChar('0'));
-        _params.push_back(new cmbParam(cmbParam::offACSat, ++nextPar, 
+        _params.push_back(new cmbParam(cmbParam::offACSat, ++nextPar,
                                        AC->name, prn));
       }
@@ -204,5 +204,5 @@
         for (unsigned iGlo = 1; iGlo <= t_prn::MAXPRN_GLONASS; iGlo++) {
           QString prn = QString("R%1_0").arg(iGlo, 2, 10, QChar('0'));
-          _params.push_back(new cmbParam(cmbParam::offACSat, ++nextPar, 
+          _params.push_back(new cmbParam(cmbParam::offACSat, ++nextPar,
                                          AC->name, prn));
         }
@@ -219,5 +219,5 @@
       }
     }
-    
+
     // Initialize Variance-Covariance Matrix
     // -------------------------------------
@@ -353,5 +353,5 @@
       continue;
     }
-  
+
     // Create new correction
     // ---------------------
@@ -424,5 +424,5 @@
 }
 
-// Change the correction so that it refers to last received ephemeris 
+// Change the correction so that it refers to last received ephemeris
 ////////////////////////////////////////////////////////////////////////////
 void bncComb::switchToLastEph(t_eph* lastEph, cmbCorr* corr) {
@@ -471,5 +471,5 @@
   QTextStream out(&_log, QIODevice::WriteOnly);
 
-  out << endl <<           "Combination:" << endl 
+  out << endl <<           "Combination:" << endl
       << "------------------------------" << endl;
 
@@ -515,7 +515,7 @@
         if (AC->numObs > 0) {
           out << "Switching Master AC "
-              << _masterOrbitAC.toAscii().data() << " --> " 
-              << AC->name.toAscii().data()   << " " 
-              << _resTime.datestr().c_str()    << " " 
+              << _masterOrbitAC.toAscii().data() << " --> "
+              << AC->name.toAscii().data()   << " "
+              << _resTime.datestr().c_str()    << " "
               << _resTime.timestr().c_str()    << endl;
           _masterOrbitAC = AC->name;
@@ -550,5 +550,5 @@
         }
       }
-      out << _resTime.datestr().c_str() << " " 
+      out << _resTime.datestr().c_str() << " "
           << _resTime.timestr().c_str() << " ";
       out.setRealNumberNotation(QTextStream::FixedNotation);
@@ -618,7 +618,7 @@
 
     int     maxResIndex;
-    double  maxRes = vv.maximum_absolute_value1(maxResIndex);   
+    double  maxRes = vv.maximum_absolute_value1(maxResIndex);
     out.setRealNumberNotation(QTextStream::FixedNotation);
-    out.setRealNumberPrecision(3);  
+    out.setRealNumberPrecision(3);
     out << _resTime.datestr().c_str() << " " << _resTime.timestr().c_str()
         << " Maximum Residuum " << maxRes << ' '
@@ -627,5 +627,5 @@
       for (int iPar = 1; iPar <= _params.size(); iPar++) {
         cmbParam* pp = _params[iPar-1];
-        if (pp->type == cmbParam::offACSat            && 
+        if (pp->type == cmbParam::offACSat            &&
             pp->AC   == corrs()[maxResIndex-1]->_acName &&
             pp->prn  == corrs()[maxResIndex-1]->_prn.mid(0,3)) {
@@ -675,5 +675,5 @@
       eph->getCrd(_resTime, xc, vv, false);
 
-      out << _resTime.datestr().c_str() << " " 
+      out << _resTime.datestr().c_str() << " "
           << _resTime.timestr().c_str() << " ";
       out.setFieldWidth(3);
@@ -704,5 +704,5 @@
   _resTime.civil_time(hour, minute, sec);
 
-  outLines.sprintf("*  %4d %2d %2d %d %d %12.8f\n", 
+  outLines.sprintf("*  %4d %2d %2d %d %d %12.8f\n",
                    year, month, day, hour, minute, sec);
 
@@ -797,9 +797,9 @@
 ////////////////////////////////////////////////////////////////////////////
 t_irc bncComb::createAmat(Matrix& AA, ColumnVector& ll, DiagonalMatrix& PP,
-                          const ColumnVector& x0, 
+                          const ColumnVector& x0,
                           QMap<QString, cmbCorr*>& resCorr) {
 
   unsigned nPar = _params.size();
-  unsigned nObs = corrs().size(); 
+  unsigned nObs = corrs().size();
 
   if (nObs == 0) {
@@ -858,5 +858,5 @@
         cmbParam* pp = _params[iPar-1];
         if ( AA.Column(iPar).maximum_absolute_value() > 0.0 &&
-             pp->type == cmbParam::offACSat                 && 
+             pp->type == cmbParam::offACSat                 &&
              pp->prn == prn) {
           AA(nObs+iCond, iPar) = 1.0;
@@ -872,5 +872,5 @@
 //          cmbParam* pp = _params[iPar-1];
 //          if ( AA.Column(iPar).maximum_absolute_value() > 0.0 &&
-//               pp->type == cmbParam::offACSat                 && 
+//               pp->type == cmbParam::offACSat                 &&
 //               pp->prn == prn) {
 //            AA(nObs+iCond, iPar) = 1.0;
@@ -899,5 +899,5 @@
   // ----------------------
   while (true) {
-    
+
     // Remove Satellites that are not in Master
     // ----------------------------------------
@@ -922,5 +922,5 @@
       }
     }
-    
+
     // Count Number of Observations per Satellite and per AC
     // -----------------------------------------------------
@@ -945,5 +945,5 @@
       }
     }
-    
+
     // Clean-Up the Paramters
     // ----------------------
@@ -952,9 +952,9 @@
     }
     _params.clear();
-    
+
     // Set new Parameters
     // ------------------
     int nextPar = 0;
-    
+
     QMapIterator<QString, int> itAC(numObsAC);
     while (itAC.hasNext()) {
@@ -968,6 +968,6 @@
         }
       }
-    } 
-    
+    }
+
     QMapIterator<QString, int> itPrn(numObsPrn);
     while (itPrn.hasNext()) {
@@ -978,10 +978,10 @@
         _params.push_back(new cmbParam(cmbParam::clkSat, ++nextPar, "", prn));
       }
-    }  
-    
+    }
+
     int nPar = _params.size();
-    ColumnVector x0(nPar); 
+    ColumnVector x0(nPar);
     x0 = 0.0;
-    
+
     // Create First-Design Matrix
     // --------------------------
@@ -992,5 +992,5 @@
       return failure;
     }
-    
+
     ColumnVector vv;
     try {
@@ -1008,7 +1008,7 @@
 
     int     maxResIndex;
-    double  maxRes = vv.maximum_absolute_value1(maxResIndex);   
+    double  maxRes = vv.maximum_absolute_value1(maxResIndex);
     out.setRealNumberNotation(QTextStream::FixedNotation);
-    out.setRealNumberPrecision(3);  
+    out.setRealNumberPrecision(3);
     out << _resTime.datestr().c_str() << " " << _resTime.timestr().c_str()
         << " Maximum Residuum " << maxRes << ' '
@@ -1023,8 +1023,8 @@
       out << "  OK" << endl;
       out.setRealNumberNotation(QTextStream::FixedNotation);
-      out.setRealNumberPrecision(3);  
+      out.setRealNumberPrecision(3);
       for (int ii = 0; ii < vv.Nrows(); ii++) {
         const cmbCorr* corr = corrs()[ii];
-        out << _resTime.datestr().c_str() << ' ' 
+        out << _resTime.datestr().c_str() << ' '
             << _resTime.timestr().c_str() << " "
             << corr->_acName << ' ' << corr->_prn.mid(0,3);
@@ -1092,9 +1092,9 @@
         meanRao[prn].ReSize(4);
         meanRao[prn].Rows(1,3) = corr->_orbCorr._xr;
-        meanRao[prn](4)        = 1; 
+        meanRao[prn](4)        = 1;
       }
       else {
         meanRao[prn].Rows(1,3) += corr->_orbCorr._xr;
-        meanRao[prn](4)        += 1; 
+        meanRao[prn](4)        += 1;
       }
       if (numCorr.find(prn) == numCorr.end()) {
@@ -1105,5 +1105,5 @@
       }
     }
-    
+
     // Compute Differences wrt Mean, find Maximum
     // ------------------------------------------
@@ -1127,7 +1127,7 @@
           maxDiff[prn] = corr;
         }
-      } 
-    }
-    
+      }
+    }
+
     if (_ACs.size() == 1) {
       break;
@@ -1150,8 +1150,8 @@
           out << _resTime.datestr().c_str()    << " "
               << _resTime.timestr().c_str()    << " "
-              << "Orbit Outlier: " 
-              << corr->_acName.toAscii().data() << " " 
+              << "Orbit Outlier: "
+              << corr->_acName.toAscii().data() << " "
               << prn.mid(0,3).toAscii().data()           << " "
-              << corr->_iod                     << " " 
+              << corr->_iod                     << " "
               << norm                           << endl;
           delete corr;
@@ -1161,5 +1161,5 @@
       }
     }
-    
+
     if (!removed) {
       break;
@@ -1170,5 +1170,5 @@
 }
 
-// 
+//
 ////////////////////////////////////////////////////////////////////////////
 void bncComb::slotProviderIDChanged(QString mountPoint) {
Index: /trunk/BNC/src/upload/bncrtnetuploadcaster.cpp
===================================================================
--- /trunk/BNC/src/upload/bncrtnetuploadcaster.cpp	(revision 7296)
+++ /trunk/BNC/src/upload/bncrtnetuploadcaster.cpp	(revision 7297)
@@ -58,5 +58,5 @@
   bncSettings settings;
   QString intr = settings.value("uploadIntr").toString();
-  QStringList hlp = settings.value("combineStreams").toStringList();
+  QStringList hlp = settings.value("cmbStreams").toStringList();
   _samplRtcmEphCorr = settings.value("uploadSamplRtcmEphCorr").toDouble();
   if (hlp.size() > 1) { // combination stream upload