Index: trunk/BNC/src/bncmain.cpp
===================================================================
--- trunk/BNC/src/bncmain.cpp	(revision 7503)
+++ trunk/BNC/src/bncmain.cpp	(revision 7504)
@@ -78,121 +78,121 @@
       "Usage: bnc --nw                       \n"
       "           --version                  \n"
-      "           --display <XXX>            \n"
+      "           --display <name>           \n"
       "           --conf <confFileName>      \n"
       "           --file <rawFileName>       \n"
       "           --key  <keyName> <keyValue>\n"
       "\n"
-      "Internal keys:\n"
-      "           startTab      <Top panel index number>\n"
-      "           statusTab     <Bottom panel index number>\n"
-      "           font          <Used font>\n"
+      "Appearance keys:\n"
+      "           startTab  <Index of top panel to be presented at start time [integer number: 0-17]>\n"
+      "           statusTab <Index of bottom panel to be presented at start time [integer number: 0-3]>\n"
+      "           font      <Font specification [character string in quotation marks, example: \"Helvetica,14,-1,5,50,0,0,0,0,0\"]>\n"
       "\n"
       "Network Panel keys:\n"
-      "           proxyHost       <Proxy host>\n"
-      "           proxyPort       <Proxy port>\n"
-      "           sslCaCertPath   <Path to SSL certificates>\n"
-      "           ignoreSslErrors <Ignore SSL authorization errors, 0=no, 2=yes>\n"
+      "           proxyHost       <Proxy host, name or IP address [character string]>\n"
+      "           proxyPort       <Proxy port [integer number]>\n"
+      "           sslCaCertPath   <Full path to SSL certificates [character string]>\n"
+      "           ignoreSslErrors <Ignore SSL authorization errors [integer number: 0=no, 2=yes]>\n"
       "\n"
       "General Panel keys:\n"
-      "           logFile          <Logfile, full path>\n"
-      "           rnxAppend        <Append files, 0=no, 2=yes>\n"
-      "           onTheFlyInterval <Reread configuration, interval>\n"
-      "           autoStart        <Auto start, 0=no, 2=yes>\n"
-      "           rawOutFile       <Raw output file, full path>\n"
+      "           logFile          <Logfile, full path [character string]>\n"
+      "           rnxAppend        <Append files [integer number: 0=no, 2=yes]>\n"
+      "           onTheFlyInterval <Configuration reload interval [character string: 1 day,1 hour,5 min,1 min]>\n"
+      "           autoStart        <Auto start [integer number: 0=no, 2=yes]>\n"
+      "           rawOutFile       <Raw output file, full path [character string]>\n"
       "\n"
       "RINEX Observations Panel keys:\n"
-      "           rnxPath        <Directory>\n"
-      "           rnxIntr        <Interval>\n"
-      "           rnxSample      <Sampling [sec]> \n"
-      "           rnxSkel        <Skeleton file extension>\n"
-      "           rnxOnlyWithSKL <Skeleton is mandatory, 0=no, 2=yes>\n"
-      "           rnxScript      <File upload script>\n"
-      "           rnxV2Priority  <Signal priority>\n"
-      "           rnxV3          <Produce version 3 file contents, 0=no, 2=yes>\n"
-      "           rnxV3filenames <Produce version 3 filenames, 0=no, 2=yes>\n"
+      "           rnxPath        <Directory [character string]>\n"
+      "           rnxIntr        <File interval [character string: 1 min,2 min,5 min,10 min,15 min,30 min,1 hour,1 day]>\n"
+      "           rnxSampl       <File sampling rate [integer number of seconds: 0,5|10|15|20|25|30|35|40|45|50|55|60]> \n"
+      "           rnxSkel        <RINEX skeleton file extension [character string]>\n"
+      "           rnxOnlyWithSKL <Using RINEX skeleton file is mandatory [integer number: 0=no, 2=yes]>\n"
+      "           rnxScript      <File upload script, full path [character string]>\n"
+      "           rnxV2Priority  <Priority of signal attributes [character string, list separated by blank character, example: G:CWPX_? R:CP]>\n"
+      "           rnxV3          <Produce version 3 file contents [integer number: 0=no, 2=yes]>\n"
+      "           rnxV3filenames <Produce version 3 filenames [integer number: 0=no, 2=yes]>\n"
       "\n"
       "RINEX Ephemeris Panel keys:\n"
-      "           ephPath         <Directory>\n"
-      "           ephIntr         <Interval>\n"
-      "           ephOutPort      <Port>\n"
-      "           ephV3           <Produce version 3 file contents, 0=no, 2=yes>\n"
-      "           ephV3filenames  <Produde version 3 filenames, 0=no, 2=yes>\n"
+      "           ephPath        <Directory [character string]>\n"
+      "           ephIntr        <File interval [character string: 1 min,2 min,5 min,10 min,15 min,30 min,1 hour,1 day]>\n"
+      "           ephOutPort     <Output port [integer number]>\n"
+      "           ephV3          <Produce version 3 file contents [integer number: 0=no, 2=yes]>\n"
+      "           ephV3filenames <Produce version 3 filenames [integer number: 0=no, 2=yes]>\n"
       "\n"
       "RINEX Editing and QC Panel keys:\n"
-      "           reqcAction            <Action, Edit/Concatenate|Analyze>\n"
-      "           reqcObsFile           <Input observations file(s), comma separated list> \n"
-      "           reqcNavFile           <Input navigation file(s), comma separated list>\n"
-      "           reqcOutObsFile        <Output observations file>\n"
-      "           reqcOutNavFile        <Output navigation file>\n"
-      "           reqcOutLogFile        <Output logfile>\n"
-      "           reqcLogSummaryOnly    <Only summary output logfile, 0=no, 2=yes>\n"
-      "           reqcSkyPlotSignals    <Observation signals, separated by blank character>\n"
-      "           reqcPlotDir           <QC plots directory>\n"
-      "           reqcRnxVersion        <RINEX version, 2|3>\n"
-      "           reqcSampling          <RINEX sampling [sec]>\n"
-      "           reqcV2Priority        <Version 2 signal priorities, separated by blank character>\n"
-      "           reqcStartDateTime     <Start time>\n"
-      "           reqcEndDateTime       <Stop time>\n"
-      "           reqcRunBy             <Operators name>\n"
-      "           reqcUseObsTypes       <Use observation types list>\n"
-      "           reqcComment           <Additional comments>\n"
-      "           reqcOldMarkerName     <Old marker name>\n"
-      "           reqcNewMarkerName     <New marker name>\n"
-      "           reqcOldAntennaName    <Old antenna name>\n"
-      "           reqcNewAntennaName    <New antenna name>\n"
-      "           reqcOldAntennaNumber  <Old antenna number>\n"
-      "           reqcNewAntennaNumber  <New antenna number>\n"
-      "           reqcOldAntennadN      <Old north eccentritity>\n"
-      "           reqcNewAntennadN      <New north eccentricity>\n"
-      "           reqcOldAntennadE      <Old east eccentricity>\n"
-      "           reqcNewAntennadE      <New east eccentricity>\n"
-      "           reqcOldAntennadU      <Old up eccentricity>\n"
-      "           reqcNewAntennadU      <New up eccentricity>\n"
-      "           reqcOldReceiverName   <Old receiver name>\n"
-      "           reqcNewReceiverName   <New receiver name>\n"
-      "           reqcOldReceiverNumber <Old receiver number>\n"
-      "           reqcNewReceiverNumber <New receiver number>\n"
+      "           reqcAction            <Action specification [character string:  Blank|Edit/Concatenate|Analyze]>\n"
+      "           reqcObsFile           <Input observations file(s), full path [character string, comma separated list in quotation marks]>\n"
+      "           reqcNavFile           <Input navigation file(s), full path [character string, comma separated list in quotation marks]>\n"
+      "           reqcOutObsFile        <Output observations file, full path [character string]>\n"
+      "           reqcOutNavFile        <Output navigation file, full path [character string]>\n"
+      "           reqcOutLogFile        <Output logfile, full path [character string]>\n"
+      "           reqcLogSummaryOnly    <Output only summary of logfile [integer number: 0=no, 2=yes]>\n"
+      "           reqcSkyPlotSignals    <Observation signals [character string, list separated by blank character, example: C:2&7 E:1&5 G:1&2 J:1&2 R:1&2 S:1&5]>\n"
+      "           reqcPlotDir           <QC plots directory [character string]>\n"
+      "           reqcRnxVersion        <RINEX version [integer number: 2|3]>\n"
+      "           reqcSampling          <RINEX output file sampling rate [integer number of seconds: 0|5|10|15|20|25|30|35|40|45|50|55|60]>\n"
+      "           reqcV2Priority        <Version 2 priority of signal attributes [character string, list separated by blank character, example: G:CWPX_? R:CP]>\n"
+      "           reqcStartDateTime     <Start time [character string, example: 1967-11-02T00:00:00]>\n"
+      "           reqcEndDateTime       <Stop time [character string, example: 2099-01-01T00:00:00 >\n"
+      "           reqcRunBy             <Operators name [character string]>\n"
+      "           reqcUseObsTypes       <Use observation types [character string, list separated by blank character, example: G:C1C G:L1C R:C1C RC1P]>\n"
+      "           reqcComment           <Additional comments [character string]>\n"
+      "           reqcOldMarkerName     <Old marker name [character string]>\n"
+      "           reqcNewMarkerName     <New marker name [character string]>\n"
+      "           reqcOldAntennaName    <Old antenna name [character string]>\n"
+      "           reqcNewAntennaName    <New antenna name [character string]>\n"
+      "           reqcOldAntennaNumber  <Old antenna number [character string]>\n"
+      "           reqcNewAntennaNumber  <New antenna number [character string]>\n"
+      "           reqcOldAntennadN      <Old north eccentritity [character string]>\n"
+      "           reqcNewAntennadN      <New north eccentricity [character string]>\n"
+      "           reqcOldAntennadE      <Old east eccentricity [character string]>\n"
+      "           reqcNewAntennadE      <New east eccentricity [character string]>\n"
+      "           reqcOldAntennadU      <Old up eccentricity [character string]>\n"
+      "           reqcNewAntennadU      <New up eccentricity [character string]>\n"
+      "           reqcOldReceiverName   <Old receiver name [character string]>\n"
+      "           reqcNewReceiverName   <New receiver name [character string]>\n"
+      "           reqcOldReceiverNumber <Old receiver number [character string]>\n"
+      "           reqcNewReceiverNumber <New receiver number [character string]>\n"
       "\n"
       "SP3 Comparison Panel keys:\n"
-      "           sp3CompFile       <SP3 input files, full path, comma separated list>\n"
-      "           sp3CompExclude    <Satellite exclusion list, comma separated>\n"
-      "           sp3CompOutLogFile <Output logfile>\n"
+      "           sp3CompFile       <SP3 input files, full path [character string, comma separated list in quotation marks]>\n"
+      "           sp3CompExclude    <Satellite exclusion list [character string, comma separated list in quotation marks, example: \"G04,G31,R\"]>\n"
+      "           sp3CompOutLogFile <Output logfile, full path [character string]>\n"
       "\n"
       "Broadcast Corrections Panel keys:\n"
-      "           corrPath <Directory for saving files in ASCII format>\n"
-      "           corrIntr <Interval>\n"
-      "           corrPort <Port>\n"
+      "           corrPath <Directory for saving files in ASCII format [character string]>\n"
+      "           corrIntr <File interval [character string: 1 min,2 min,5 min,10 min,15 min,30 min,1 hour,1 day]>\n"
+      "           corrPort <Output port [integer number]>\n"
       "\n"
       "Feed Engine Panel keys:\n"
-      "           outPort  <Port>\n"
-      "           outWait  <Wait for full obs epoch [sec]>\n"
-      "           outSampl <Sampling [sec]>\n"
-      "           outFile  <File, full path>\n"
-      "           outUPort <Port, unsynchronized output)>\n"
+      "           outPort  <Output port, synchronized [integer number]>\n"
+      "           outWait  <Wait for full observation epoch [integer number of seconds: 1-30]>\n"
+      "           outSampl <Sampling rate [integer number of seconds: 0|5|10|15|20|25|30|35|40|45|50|55|60]>\n"
+      "           outFile  <Output file, full path [character string]>\n"
+      "           outUPort <Output port, unsynchronized [integer number]>\n"
       "\n"
       "Serial Output Panel:\n"
-      "           serialMountPoint         <Mountpoint>\n"
-      "           serialPortName           <Port name>\n"
-      "           serialBaudRate           <Baud rate, 110|300|600|1200|2400|4800|9600|...>\n"
-      "           serialFlowControl        <Flow control, OFF|XONXOFF|HARDWARE>\n"
-      "           serialDataBits           <Data bits, 5|6|7|8>\n"
-      "           serialParity             <Parity, NONE|ODD|EVEN|SPACE>\n"
-      "           serialStopBits           <Stop bits, 1|2>\n"
-      "           serialAutoNMEA           <NMEA, no|Auto|Manual GPGGA|Manual GNGGA>\n"
-      "           serialFileNMEA           <NMEA filename>\n"
-      "           serialHeightNMEA         <Height>\n"
-      "           serialHeightNMEASampling <Sampling [sec]>\n"
+      "           serialMountPoint         <Mountpoint [character string]>\n"
+      "           serialPortName           <Port name [character string]>\n"
+      "           serialBaudRate           <Baud rate [integer number: 110|300|600|1200|2400|4800|9600|19200|38400|57600|115200]>\n"
+      "           serialFlowControl        <Flow control [character string: OFF|XONXOFF|HARDWARE>\n"
+      "           serialDataBits           <Data bits [integer number: 5|6|7|8]>\n"
+      "           serialParity             <Parity [character string: NONE|ODD|EVEN|SPACE]>\n"
+      "           serialStopBits           <Stop bits [integer number: 1|2]>\n"
+      "           serialAutoNMEA           <NMEA specification [character string: no|Auto|Manual GPGGA|Manual GNGGA]>\n"
+      "           serialFileNMEA           <NMEA filename, full path [character string]>\n"
+      "           serialHeightNMEA         <Height [floating-point number]>\n"
+      "           serialHeightNMEASampling <Sampling rate [integer number of seconds: 0|10|20|30|...|280|290|300]>\n"
       "\n"
       "Outages Panel keys:\n"
-      "           adviseObsRate <Observation rate, 0.1 Hz|0.2 Hz|0.5 Hz|1 Hz|5 Hz> \n"
-      "           adviseFail    <Failure threshold [min]>\n"
-      "           adviseReco    <Recovery threshold [min]>\n"
-      "           adviseScript  <Script, full path>\n"
+      "           adviseObsRate <Stream observation rate [character string: 0.1 Hz|0.2 Hz|0.5 Hz|1 Hz|5 Hz]> \n"
+      "           adviseFail    <Failure threshold [integer number of minutes: 0-60]>\n"
+      "           adviseReco    <Recovery threshold [integer number of minutes: 0-60]>\n"
+      "           adviseScript  <Advisory script, full path [character string]>\n"
       "\n"
       "Miscellaneous Panel keys:\n"
-      "           miscMount     <Mountpoint>\n"
-      "           miscIntr      <Log latency, interval>\n"
-      "           miscScanRTCM  <Scan for RTCM message numbers, 0=no, 2=yes>\n"
-      "           miscPort      <Port output>\n"
+      "           miscMount    <Mountpoint [character string]>\n"
+      "           miscIntr     <Interval for logging latency [character string: 2 sec,10 sec,1 min,5 min,15 min,1 hour,6 hours,1 day]>\n"
+      "           miscScanRTCM <Scan for RTCM message numbers [integer number: 0=no, 2=yes]>\n"
+      "           miscPort     <Output port [integer number]>\n"
       "\n"
       "PPP Client Panel 1 keys:\n"
@@ -207,6 +207,6 @@
       "           PPP/nmeaPath    <Directory for NMEA output file>\n"
       "           PPP/snxtroPath  <Directory for SINEX troposphere output file>\n"
-      "           PPP/snxtroSampl <SINEX troposphere sampling rate [sec]>\n"
-      "           PPP/snxtroIntr <SINEX troposphere interval [1 min,2 min,5 min,10 min,15 min,30 min,1 hour,1 day]>\n"
+      "           PPP/snxtroIntr  <SINEX troposphere file interval [character string: 1 min,2 min,5 min,10 min,15 min,30 min,1 hour,1 day]>\n"
+      "           PPP/snxtroSampl <SINEX troposphere file sampling rate [integer number of seconds: 0,30,60,90,120,150,180,210,240,270,300]>\n"
       "\n"
       "PPP Client Panel 2 keys:\n"